#ident "$Header$"
/*
Copyright (c) Members of the EGEE Collaboration. 2004-2010.
See http://www.eu-egee.org/partners for details on the copyright holders.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*

  !! Automatically generated file
  !! Do not edit, your changes will be discarded upon build
  !! Change the corresponding template file ./src/uiwrap.c.T

*/

#include <stdlib.h>
#include "glite/jobid/cjobid.h"
#include "producer.h"
#include "glite/lb/ulm_parse.h"


/**
 * \brief edg_wll_LogTransfer
 *
 * edg_wll_LogTransfer - simple wrapper around edg_wll_LogEvent for event Transfer
 *
 */

int edg_wll_LogTransfer(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * result, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, result, reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferProxy
 *
 * edg_wll_LogTransferProxy - simple wrapper around edg_wll_LogEventProxy for event Transfer
 *
 */

int edg_wll_LogTransferProxy(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * result, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, result, reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferFile
 *
 * edg_wll_LogTransferFile - simple wrapper around edg_wll_LogEventFile for event Transfer
 *
 */

int edg_wll_LogTransferFile(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * result, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, result, reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferSTART
 *
 * edg_wll_LogTransferSTART - simple wrapper around edg_wll_LogEvent for event Transfer, result START
 *
 */

int edg_wll_LogTransferSTART(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "START", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferSTARTProxy
 *
 * edg_wll_LogTransferSTARTProxy - simple wrapper around edg_wll_LogEventProxy for event Transfer, result START
 *
 */

int edg_wll_LogTransferSTARTProxy(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "START", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferSTARTFile
 *
 * edg_wll_LogTransferSTARTFile - simple wrapper around edg_wll_LogEventFile for event Transfer, result START
 *
 */

int edg_wll_LogTransferSTARTFile(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "START", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferOK
 *
 * edg_wll_LogTransferOK - simple wrapper around edg_wll_LogEvent for event Transfer, result OK
 *
 */

int edg_wll_LogTransferOK(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "OK", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferOKProxy
 *
 * edg_wll_LogTransferOKProxy - simple wrapper around edg_wll_LogEventProxy for event Transfer, result OK
 *
 */

int edg_wll_LogTransferOKProxy(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "OK", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferOKFile
 *
 * edg_wll_LogTransferOKFile - simple wrapper around edg_wll_LogEventFile for event Transfer, result OK
 *
 */

int edg_wll_LogTransferOKFile(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "OK", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferREFUSED
 *
 * edg_wll_LogTransferREFUSED - simple wrapper around edg_wll_LogEvent for event Transfer, result REFUSED
 *
 */

int edg_wll_LogTransferREFUSED(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "REFUSED", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferREFUSEDProxy
 *
 * edg_wll_LogTransferREFUSEDProxy - simple wrapper around edg_wll_LogEventProxy for event Transfer, result REFUSED
 *
 */

int edg_wll_LogTransferREFUSEDProxy(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "REFUSED", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferREFUSEDFile
 *
 * edg_wll_LogTransferREFUSEDFile - simple wrapper around edg_wll_LogEventFile for event Transfer, result REFUSED
 *
 */

int edg_wll_LogTransferREFUSEDFile(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "REFUSED", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferFAIL
 *
 * edg_wll_LogTransferFAIL - simple wrapper around edg_wll_LogEvent for event Transfer, result FAIL
 *
 */

int edg_wll_LogTransferFAIL(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "FAIL", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferFAILProxy
 *
 * edg_wll_LogTransferFAILProxy - simple wrapper around edg_wll_LogEventProxy for event Transfer, result FAIL
 *
 */

int edg_wll_LogTransferFAILProxy(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "FAIL", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogTransferFAILFile
 *
 * edg_wll_LogTransferFAILFile - simple wrapper around edg_wll_LogEventFile for event Transfer, result FAIL
 *
 */

int edg_wll_LogTransferFAILFile(edg_wll_Context context, const edg_wll_Source destination, const char * dest_host, const char * dest_instance, const char * job, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_TRANSFER,EDG_WLL_FORMAT_TRANSFER, s_destination, dest_host, dest_instance, job, "FAIL", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogAccepted
 *
 * edg_wll_LogAccepted - simple wrapper around edg_wll_LogEvent for event Accepted
 *
 */

int edg_wll_LogAccepted(edg_wll_Context context, const edg_wll_Source from, const char * from_host, const char * from_instance, const char * local_jobid)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_ACCEPTED,EDG_WLL_FORMAT_ACCEPTED, s_from, from_host, from_instance, local_jobid);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogAcceptedProxy
 *
 * edg_wll_LogAcceptedProxy - simple wrapper around edg_wll_LogEventProxy for event Accepted
 *
 */

int edg_wll_LogAcceptedProxy(edg_wll_Context context, const edg_wll_Source from, const char * from_host, const char * from_instance, const char * local_jobid)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_ACCEPTED,EDG_WLL_FORMAT_ACCEPTED, s_from, from_host, from_instance, local_jobid);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogAcceptedFile
 *
 * edg_wll_LogAcceptedFile - simple wrapper around edg_wll_LogEventFile for event Accepted
 *
 */

int edg_wll_LogAcceptedFile(edg_wll_Context context, const edg_wll_Source from, const char * from_host, const char * from_instance, const char * local_jobid)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_ACCEPTED,EDG_WLL_FORMAT_ACCEPTED, s_from, from_host, from_instance, local_jobid);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogRefused
 *
 * edg_wll_LogRefused - simple wrapper around edg_wll_LogEvent for event Refused
 *
 */

int edg_wll_LogRefused(edg_wll_Context context, const edg_wll_Source from, const char * from_host, const char * from_instance, const char * reason)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REFUSED,EDG_WLL_FORMAT_REFUSED, s_from, from_host, from_instance, reason);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogRefusedProxy
 *
 * edg_wll_LogRefusedProxy - simple wrapper around edg_wll_LogEventProxy for event Refused
 *
 */

int edg_wll_LogRefusedProxy(edg_wll_Context context, const edg_wll_Source from, const char * from_host, const char * from_instance, const char * reason)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REFUSED,EDG_WLL_FORMAT_REFUSED, s_from, from_host, from_instance, reason);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogRefusedFile
 *
 * edg_wll_LogRefusedFile - simple wrapper around edg_wll_LogEventFile for event Refused
 *
 */

int edg_wll_LogRefusedFile(edg_wll_Context context, const edg_wll_Source from, const char * from_host, const char * from_instance, const char * reason)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REFUSED,EDG_WLL_FORMAT_REFUSED, s_from, from_host, from_instance, reason);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueued
 *
 * edg_wll_LogEnQueued - simple wrapper around edg_wll_LogEvent for event EnQueued
 *
 */

int edg_wll_LogEnQueued(edg_wll_Context context, const char * queue, const char * job, const char * result, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, result, reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedProxy
 *
 * edg_wll_LogEnQueuedProxy - simple wrapper around edg_wll_LogEventProxy for event EnQueued
 *
 */

int edg_wll_LogEnQueuedProxy(edg_wll_Context context, const char * queue, const char * job, const char * result, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, result, reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedFile
 *
 * edg_wll_LogEnQueuedFile - simple wrapper around edg_wll_LogEventFile for event EnQueued
 *
 */

int edg_wll_LogEnQueuedFile(edg_wll_Context context, const char * queue, const char * job, const char * result, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, result, reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedSTART
 *
 * edg_wll_LogEnQueuedSTART - simple wrapper around edg_wll_LogEvent for event EnQueued, result START
 *
 */

int edg_wll_LogEnQueuedSTART(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "START", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedSTARTProxy
 *
 * edg_wll_LogEnQueuedSTARTProxy - simple wrapper around edg_wll_LogEventProxy for event EnQueued, result START
 *
 */

int edg_wll_LogEnQueuedSTARTProxy(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "START", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedSTARTFile
 *
 * edg_wll_LogEnQueuedSTARTFile - simple wrapper around edg_wll_LogEventFile for event EnQueued, result START
 *
 */

int edg_wll_LogEnQueuedSTARTFile(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "START", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedOK
 *
 * edg_wll_LogEnQueuedOK - simple wrapper around edg_wll_LogEvent for event EnQueued, result OK
 *
 */

int edg_wll_LogEnQueuedOK(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "OK", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedOKProxy
 *
 * edg_wll_LogEnQueuedOKProxy - simple wrapper around edg_wll_LogEventProxy for event EnQueued, result OK
 *
 */

int edg_wll_LogEnQueuedOKProxy(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "OK", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedOKFile
 *
 * edg_wll_LogEnQueuedOKFile - simple wrapper around edg_wll_LogEventFile for event EnQueued, result OK
 *
 */

int edg_wll_LogEnQueuedOKFile(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "OK", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedREFUSED
 *
 * edg_wll_LogEnQueuedREFUSED - simple wrapper around edg_wll_LogEvent for event EnQueued, result REFUSED
 *
 */

int edg_wll_LogEnQueuedREFUSED(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "REFUSED", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedREFUSEDProxy
 *
 * edg_wll_LogEnQueuedREFUSEDProxy - simple wrapper around edg_wll_LogEventProxy for event EnQueued, result REFUSED
 *
 */

int edg_wll_LogEnQueuedREFUSEDProxy(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "REFUSED", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedREFUSEDFile
 *
 * edg_wll_LogEnQueuedREFUSEDFile - simple wrapper around edg_wll_LogEventFile for event EnQueued, result REFUSED
 *
 */

int edg_wll_LogEnQueuedREFUSEDFile(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "REFUSED", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedFAIL
 *
 * edg_wll_LogEnQueuedFAIL - simple wrapper around edg_wll_LogEvent for event EnQueued, result FAIL
 *
 */

int edg_wll_LogEnQueuedFAIL(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "FAIL", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedFAILProxy
 *
 * edg_wll_LogEnQueuedFAILProxy - simple wrapper around edg_wll_LogEventProxy for event EnQueued, result FAIL
 *
 */

int edg_wll_LogEnQueuedFAILProxy(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "FAIL", reason);

	return ret;
}

/**
 * \brief edg_wll_LogEnQueuedFAILFile
 *
 * edg_wll_LogEnQueuedFAILFile - simple wrapper around edg_wll_LogEventFile for event EnQueued, result FAIL
 *
 */

int edg_wll_LogEnQueuedFAILFile(edg_wll_Context context, const char * queue, const char * job, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_ENQUEUED,EDG_WLL_FORMAT_ENQUEUED, queue, job, "FAIL", reason);

	return ret;
}

/**
 * \brief edg_wll_LogDeQueued
 *
 * edg_wll_LogDeQueued - simple wrapper around edg_wll_LogEvent for event DeQueued
 *
 */

int edg_wll_LogDeQueued(edg_wll_Context context, const char * queue, const char * local_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_DEQUEUED,EDG_WLL_FORMAT_DEQUEUED, queue, local_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogDeQueuedProxy
 *
 * edg_wll_LogDeQueuedProxy - simple wrapper around edg_wll_LogEventProxy for event DeQueued
 *
 */

int edg_wll_LogDeQueuedProxy(edg_wll_Context context, const char * queue, const char * local_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_DEQUEUED,EDG_WLL_FORMAT_DEQUEUED, queue, local_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogDeQueuedFile
 *
 * edg_wll_LogDeQueuedFile - simple wrapper around edg_wll_LogEventFile for event DeQueued
 *
 */

int edg_wll_LogDeQueuedFile(edg_wll_Context context, const char * queue, const char * local_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_DEQUEUED,EDG_WLL_FORMAT_DEQUEUED, queue, local_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogHelperCall
 *
 * edg_wll_LogHelperCall - simple wrapper around edg_wll_LogEvent for event HelperCall
 *
 */

int edg_wll_LogHelperCall(edg_wll_Context context, const char * helper_name, const char * helper_params, const char * src_role)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_HELPERCALL,EDG_WLL_FORMAT_HELPERCALL, helper_name, helper_params, src_role);

	return ret;
}

/**
 * \brief edg_wll_LogHelperCallProxy
 *
 * edg_wll_LogHelperCallProxy - simple wrapper around edg_wll_LogEventProxy for event HelperCall
 *
 */

int edg_wll_LogHelperCallProxy(edg_wll_Context context, const char * helper_name, const char * helper_params, const char * src_role)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_HELPERCALL,EDG_WLL_FORMAT_HELPERCALL, helper_name, helper_params, src_role);

	return ret;
}

/**
 * \brief edg_wll_LogHelperCallFile
 *
 * edg_wll_LogHelperCallFile - simple wrapper around edg_wll_LogEventFile for event HelperCall
 *
 */

int edg_wll_LogHelperCallFile(edg_wll_Context context, const char * helper_name, const char * helper_params, const char * src_role)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_HELPERCALL,EDG_WLL_FORMAT_HELPERCALL, helper_name, helper_params, src_role);

	return ret;
}

/**
 * \brief edg_wll_LogHelperCallCALLING
 *
 * edg_wll_LogHelperCallCALLING - simple wrapper around edg_wll_LogEvent for event HelperCall, src_role CALLING
 *
 */

int edg_wll_LogHelperCallCALLING(edg_wll_Context context, const char * helper_name, const char * helper_params)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_HELPERCALL,EDG_WLL_FORMAT_HELPERCALL, helper_name, helper_params, "CALLING");

	return ret;
}

/**
 * \brief edg_wll_LogHelperCallCALLINGProxy
 *
 * edg_wll_LogHelperCallCALLINGProxy - simple wrapper around edg_wll_LogEventProxy for event HelperCall, src_role CALLING
 *
 */

int edg_wll_LogHelperCallCALLINGProxy(edg_wll_Context context, const char * helper_name, const char * helper_params)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_HELPERCALL,EDG_WLL_FORMAT_HELPERCALL, helper_name, helper_params, "CALLING");

	return ret;
}

/**
 * \brief edg_wll_LogHelperCallCALLINGFile
 *
 * edg_wll_LogHelperCallCALLINGFile - simple wrapper around edg_wll_LogEventFile for event HelperCall, src_role CALLING
 *
 */

int edg_wll_LogHelperCallCALLINGFile(edg_wll_Context context, const char * helper_name, const char * helper_params)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_HELPERCALL,EDG_WLL_FORMAT_HELPERCALL, helper_name, helper_params, "CALLING");

	return ret;
}

/**
 * \brief edg_wll_LogHelperCallCALLED
 *
 * edg_wll_LogHelperCallCALLED - simple wrapper around edg_wll_LogEvent for event HelperCall, src_role CALLED
 *
 */

int edg_wll_LogHelperCallCALLED(edg_wll_Context context, const char * helper_name, const char * helper_params)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_HELPERCALL,EDG_WLL_FORMAT_HELPERCALL, helper_name, helper_params, "CALLED");

	return ret;
}

/**
 * \brief edg_wll_LogHelperCallCALLEDProxy
 *
 * edg_wll_LogHelperCallCALLEDProxy - simple wrapper around edg_wll_LogEventProxy for event HelperCall, src_role CALLED
 *
 */

int edg_wll_LogHelperCallCALLEDProxy(edg_wll_Context context, const char * helper_name, const char * helper_params)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_HELPERCALL,EDG_WLL_FORMAT_HELPERCALL, helper_name, helper_params, "CALLED");

	return ret;
}

/**
 * \brief edg_wll_LogHelperCallCALLEDFile
 *
 * edg_wll_LogHelperCallCALLEDFile - simple wrapper around edg_wll_LogEventFile for event HelperCall, src_role CALLED
 *
 */

int edg_wll_LogHelperCallCALLEDFile(edg_wll_Context context, const char * helper_name, const char * helper_params)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_HELPERCALL,EDG_WLL_FORMAT_HELPERCALL, helper_name, helper_params, "CALLED");

	return ret;
}

/**
 * \brief edg_wll_LogHelperReturn
 *
 * edg_wll_LogHelperReturn - simple wrapper around edg_wll_LogEvent for event HelperReturn
 *
 */

int edg_wll_LogHelperReturn(edg_wll_Context context, const char * helper_name, const char * retval, const char * src_role)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_HELPERRETURN,EDG_WLL_FORMAT_HELPERRETURN, helper_name, retval, src_role);

	return ret;
}

/**
 * \brief edg_wll_LogHelperReturnProxy
 *
 * edg_wll_LogHelperReturnProxy - simple wrapper around edg_wll_LogEventProxy for event HelperReturn
 *
 */

int edg_wll_LogHelperReturnProxy(edg_wll_Context context, const char * helper_name, const char * retval, const char * src_role)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_HELPERRETURN,EDG_WLL_FORMAT_HELPERRETURN, helper_name, retval, src_role);

	return ret;
}

/**
 * \brief edg_wll_LogHelperReturnFile
 *
 * edg_wll_LogHelperReturnFile - simple wrapper around edg_wll_LogEventFile for event HelperReturn
 *
 */

int edg_wll_LogHelperReturnFile(edg_wll_Context context, const char * helper_name, const char * retval, const char * src_role)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_HELPERRETURN,EDG_WLL_FORMAT_HELPERRETURN, helper_name, retval, src_role);

	return ret;
}

/**
 * \brief edg_wll_LogHelperReturnCALLING
 *
 * edg_wll_LogHelperReturnCALLING - simple wrapper around edg_wll_LogEvent for event HelperReturn, src_role CALLING
 *
 */

int edg_wll_LogHelperReturnCALLING(edg_wll_Context context, const char * helper_name, const char * retval)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_HELPERRETURN,EDG_WLL_FORMAT_HELPERRETURN, helper_name, retval, "CALLING");

	return ret;
}

/**
 * \brief edg_wll_LogHelperReturnCALLINGProxy
 *
 * edg_wll_LogHelperReturnCALLINGProxy - simple wrapper around edg_wll_LogEventProxy for event HelperReturn, src_role CALLING
 *
 */

int edg_wll_LogHelperReturnCALLINGProxy(edg_wll_Context context, const char * helper_name, const char * retval)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_HELPERRETURN,EDG_WLL_FORMAT_HELPERRETURN, helper_name, retval, "CALLING");

	return ret;
}

/**
 * \brief edg_wll_LogHelperReturnCALLINGFile
 *
 * edg_wll_LogHelperReturnCALLINGFile - simple wrapper around edg_wll_LogEventFile for event HelperReturn, src_role CALLING
 *
 */

int edg_wll_LogHelperReturnCALLINGFile(edg_wll_Context context, const char * helper_name, const char * retval)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_HELPERRETURN,EDG_WLL_FORMAT_HELPERRETURN, helper_name, retval, "CALLING");

	return ret;
}

/**
 * \brief edg_wll_LogHelperReturnCALLED
 *
 * edg_wll_LogHelperReturnCALLED - simple wrapper around edg_wll_LogEvent for event HelperReturn, src_role CALLED
 *
 */

int edg_wll_LogHelperReturnCALLED(edg_wll_Context context, const char * helper_name, const char * retval)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_HELPERRETURN,EDG_WLL_FORMAT_HELPERRETURN, helper_name, retval, "CALLED");

	return ret;
}

/**
 * \brief edg_wll_LogHelperReturnCALLEDProxy
 *
 * edg_wll_LogHelperReturnCALLEDProxy - simple wrapper around edg_wll_LogEventProxy for event HelperReturn, src_role CALLED
 *
 */

int edg_wll_LogHelperReturnCALLEDProxy(edg_wll_Context context, const char * helper_name, const char * retval)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_HELPERRETURN,EDG_WLL_FORMAT_HELPERRETURN, helper_name, retval, "CALLED");

	return ret;
}

/**
 * \brief edg_wll_LogHelperReturnCALLEDFile
 *
 * edg_wll_LogHelperReturnCALLEDFile - simple wrapper around edg_wll_LogEventFile for event HelperReturn, src_role CALLED
 *
 */

int edg_wll_LogHelperReturnCALLEDFile(edg_wll_Context context, const char * helper_name, const char * retval)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_HELPERRETURN,EDG_WLL_FORMAT_HELPERRETURN, helper_name, retval, "CALLED");

	return ret;
}

/**
 * \brief edg_wll_LogRunning
 *
 * edg_wll_LogRunning - simple wrapper around edg_wll_LogEvent for event Running
 *
 */

int edg_wll_LogRunning(edg_wll_Context context, const char * node)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_RUNNING,EDG_WLL_FORMAT_RUNNING, node);

	return ret;
}

/**
 * \brief edg_wll_LogRunningProxy
 *
 * edg_wll_LogRunningProxy - simple wrapper around edg_wll_LogEventProxy for event Running
 *
 */

int edg_wll_LogRunningProxy(edg_wll_Context context, const char * node)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_RUNNING,EDG_WLL_FORMAT_RUNNING, node);

	return ret;
}

/**
 * \brief edg_wll_LogRunningFile
 *
 * edg_wll_LogRunningFile - simple wrapper around edg_wll_LogEventFile for event Running
 *
 */

int edg_wll_LogRunningFile(edg_wll_Context context, const char * node)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_RUNNING,EDG_WLL_FORMAT_RUNNING, node);

	return ret;
}

/**
 * \brief edg_wll_LogResubmission
 *
 * edg_wll_LogResubmission - simple wrapper around edg_wll_LogEvent for event Resubmission
 *
 */

int edg_wll_LogResubmission(edg_wll_Context context, const char * result, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, result, reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionProxy
 *
 * edg_wll_LogResubmissionProxy - simple wrapper around edg_wll_LogEventProxy for event Resubmission
 *
 */

int edg_wll_LogResubmissionProxy(edg_wll_Context context, const char * result, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, result, reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionFile
 *
 * edg_wll_LogResubmissionFile - simple wrapper around edg_wll_LogEventFile for event Resubmission
 *
 */

int edg_wll_LogResubmissionFile(edg_wll_Context context, const char * result, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, result, reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionWILLRESUB
 *
 * edg_wll_LogResubmissionWILLRESUB - simple wrapper around edg_wll_LogEvent for event Resubmission, result WILLRESUB
 *
 */

int edg_wll_LogResubmissionWILLRESUB(edg_wll_Context context, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, "WILLRESUB", reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionWILLRESUBProxy
 *
 * edg_wll_LogResubmissionWILLRESUBProxy - simple wrapper around edg_wll_LogEventProxy for event Resubmission, result WILLRESUB
 *
 */

int edg_wll_LogResubmissionWILLRESUBProxy(edg_wll_Context context, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, "WILLRESUB", reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionWILLRESUBFile
 *
 * edg_wll_LogResubmissionWILLRESUBFile - simple wrapper around edg_wll_LogEventFile for event Resubmission, result WILLRESUB
 *
 */

int edg_wll_LogResubmissionWILLRESUBFile(edg_wll_Context context, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, "WILLRESUB", reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionWONTRESUB
 *
 * edg_wll_LogResubmissionWONTRESUB - simple wrapper around edg_wll_LogEvent for event Resubmission, result WONTRESUB
 *
 */

int edg_wll_LogResubmissionWONTRESUB(edg_wll_Context context, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, "WONTRESUB", reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionWONTRESUBProxy
 *
 * edg_wll_LogResubmissionWONTRESUBProxy - simple wrapper around edg_wll_LogEventProxy for event Resubmission, result WONTRESUB
 *
 */

int edg_wll_LogResubmissionWONTRESUBProxy(edg_wll_Context context, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, "WONTRESUB", reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionWONTRESUBFile
 *
 * edg_wll_LogResubmissionWONTRESUBFile - simple wrapper around edg_wll_LogEventFile for event Resubmission, result WONTRESUB
 *
 */

int edg_wll_LogResubmissionWONTRESUBFile(edg_wll_Context context, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, "WONTRESUB", reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionSHALLOW
 *
 * edg_wll_LogResubmissionSHALLOW - simple wrapper around edg_wll_LogEvent for event Resubmission, result SHALLOW
 *
 */

int edg_wll_LogResubmissionSHALLOW(edg_wll_Context context, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, "SHALLOW", reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionSHALLOWProxy
 *
 * edg_wll_LogResubmissionSHALLOWProxy - simple wrapper around edg_wll_LogEventProxy for event Resubmission, result SHALLOW
 *
 */

int edg_wll_LogResubmissionSHALLOWProxy(edg_wll_Context context, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, "SHALLOW", reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogResubmissionSHALLOWFile
 *
 * edg_wll_LogResubmissionSHALLOWFile - simple wrapper around edg_wll_LogEventFile for event Resubmission, result SHALLOW
 *
 */

int edg_wll_LogResubmissionSHALLOWFile(edg_wll_Context context, const char * reason, const char * tag)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_RESUBMISSION,EDG_WLL_FORMAT_RESUBMISSION, "SHALLOW", reason, tag);

	return ret;
}

/**
 * \brief edg_wll_LogDone
 *
 * edg_wll_LogDone - simple wrapper around edg_wll_LogEvent for event Done
 *
 */

int edg_wll_LogDone(edg_wll_Context context, const char * status_code, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, status_code, reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneProxy
 *
 * edg_wll_LogDoneProxy - simple wrapper around edg_wll_LogEventProxy for event Done
 *
 */

int edg_wll_LogDoneProxy(edg_wll_Context context, const char * status_code, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, status_code, reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneFile
 *
 * edg_wll_LogDoneFile - simple wrapper around edg_wll_LogEventFile for event Done
 *
 */

int edg_wll_LogDoneFile(edg_wll_Context context, const char * status_code, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, status_code, reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneOK
 *
 * edg_wll_LogDoneOK - simple wrapper around edg_wll_LogEvent for event Done, status_code OK
 *
 */

int edg_wll_LogDoneOK(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "OK", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneOKProxy
 *
 * edg_wll_LogDoneOKProxy - simple wrapper around edg_wll_LogEventProxy for event Done, status_code OK
 *
 */

int edg_wll_LogDoneOKProxy(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "OK", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneOKFile
 *
 * edg_wll_LogDoneOKFile - simple wrapper around edg_wll_LogEventFile for event Done, status_code OK
 *
 */

int edg_wll_LogDoneOKFile(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "OK", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneFAILED
 *
 * edg_wll_LogDoneFAILED - simple wrapper around edg_wll_LogEvent for event Done, status_code FAILED
 *
 */

int edg_wll_LogDoneFAILED(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "FAILED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneFAILEDProxy
 *
 * edg_wll_LogDoneFAILEDProxy - simple wrapper around edg_wll_LogEventProxy for event Done, status_code FAILED
 *
 */

int edg_wll_LogDoneFAILEDProxy(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "FAILED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneFAILEDFile
 *
 * edg_wll_LogDoneFAILEDFile - simple wrapper around edg_wll_LogEventFile for event Done, status_code FAILED
 *
 */

int edg_wll_LogDoneFAILEDFile(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "FAILED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneCANCELLED
 *
 * edg_wll_LogDoneCANCELLED - simple wrapper around edg_wll_LogEvent for event Done, status_code CANCELLED
 *
 */

int edg_wll_LogDoneCANCELLED(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "CANCELLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneCANCELLEDProxy
 *
 * edg_wll_LogDoneCANCELLEDProxy - simple wrapper around edg_wll_LogEventProxy for event Done, status_code CANCELLED
 *
 */

int edg_wll_LogDoneCANCELLEDProxy(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "CANCELLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneCANCELLEDFile
 *
 * edg_wll_LogDoneCANCELLEDFile - simple wrapper around edg_wll_LogEventFile for event Done, status_code CANCELLED
 *
 */

int edg_wll_LogDoneCANCELLEDFile(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "CANCELLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneKILLED
 *
 * edg_wll_LogDoneKILLED - simple wrapper around edg_wll_LogEvent for event Done, status_code KILLED
 *
 */

int edg_wll_LogDoneKILLED(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "KILLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneKILLEDProxy
 *
 * edg_wll_LogDoneKILLEDProxy - simple wrapper around edg_wll_LogEventProxy for event Done, status_code KILLED
 *
 */

int edg_wll_LogDoneKILLEDProxy(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "KILLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogDoneKILLEDFile
 *
 * edg_wll_LogDoneKILLEDFile - simple wrapper around edg_wll_LogEventFile for event Done, status_code KILLED
 *
 */

int edg_wll_LogDoneKILLEDFile(edg_wll_Context context, const char * reason, const int exit_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_DONE,EDG_WLL_FORMAT_DONE, "KILLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCancel
 *
 * edg_wll_LogCancel - simple wrapper around edg_wll_LogEvent for event Cancel
 *
 */

int edg_wll_LogCancel(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelProxy
 *
 * edg_wll_LogCancelProxy - simple wrapper around edg_wll_LogEventProxy for event Cancel
 *
 */

int edg_wll_LogCancelProxy(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelFile
 *
 * edg_wll_LogCancelFile - simple wrapper around edg_wll_LogEventFile for event Cancel
 *
 */

int edg_wll_LogCancelFile(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelREQ
 *
 * edg_wll_LogCancelREQ - simple wrapper around edg_wll_LogEvent for event Cancel, status_code REQ
 *
 */

int edg_wll_LogCancelREQ(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelREQProxy
 *
 * edg_wll_LogCancelREQProxy - simple wrapper around edg_wll_LogEventProxy for event Cancel, status_code REQ
 *
 */

int edg_wll_LogCancelREQProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelREQFile
 *
 * edg_wll_LogCancelREQFile - simple wrapper around edg_wll_LogEventFile for event Cancel, status_code REQ
 *
 */

int edg_wll_LogCancelREQFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelREFUSE
 *
 * edg_wll_LogCancelREFUSE - simple wrapper around edg_wll_LogEvent for event Cancel, status_code REFUSE
 *
 */

int edg_wll_LogCancelREFUSE(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelREFUSEProxy
 *
 * edg_wll_LogCancelREFUSEProxy - simple wrapper around edg_wll_LogEventProxy for event Cancel, status_code REFUSE
 *
 */

int edg_wll_LogCancelREFUSEProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelREFUSEFile
 *
 * edg_wll_LogCancelREFUSEFile - simple wrapper around edg_wll_LogEventFile for event Cancel, status_code REFUSE
 *
 */

int edg_wll_LogCancelREFUSEFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelDONE
 *
 * edg_wll_LogCancelDONE - simple wrapper around edg_wll_LogEvent for event Cancel, status_code DONE
 *
 */

int edg_wll_LogCancelDONE(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelDONEProxy
 *
 * edg_wll_LogCancelDONEProxy - simple wrapper around edg_wll_LogEventProxy for event Cancel, status_code DONE
 *
 */

int edg_wll_LogCancelDONEProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelDONEFile
 *
 * edg_wll_LogCancelDONEFile - simple wrapper around edg_wll_LogEventFile for event Cancel, status_code DONE
 *
 */

int edg_wll_LogCancelDONEFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelABORT
 *
 * edg_wll_LogCancelABORT - simple wrapper around edg_wll_LogEvent for event Cancel, status_code ABORT
 *
 */

int edg_wll_LogCancelABORT(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelABORTProxy
 *
 * edg_wll_LogCancelABORTProxy - simple wrapper around edg_wll_LogEventProxy for event Cancel, status_code ABORT
 *
 */

int edg_wll_LogCancelABORTProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCancelABORTFile
 *
 * edg_wll_LogCancelABORTFile - simple wrapper around edg_wll_LogEventFile for event Cancel, status_code ABORT
 *
 */

int edg_wll_LogCancelABORTFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CANCEL,EDG_WLL_FORMAT_CANCEL, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogAbort
 *
 * edg_wll_LogAbort - simple wrapper around edg_wll_LogEvent for event Abort
 *
 */

int edg_wll_LogAbort(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_ABORT,EDG_WLL_FORMAT_ABORT, reason);

	return ret;
}

/**
 * \brief edg_wll_LogAbortProxy
 *
 * edg_wll_LogAbortProxy - simple wrapper around edg_wll_LogEventProxy for event Abort
 *
 */

int edg_wll_LogAbortProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_ABORT,EDG_WLL_FORMAT_ABORT, reason);

	return ret;
}

/**
 * \brief edg_wll_LogAbortFile
 *
 * edg_wll_LogAbortFile - simple wrapper around edg_wll_LogEventFile for event Abort
 *
 */

int edg_wll_LogAbortFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_ABORT,EDG_WLL_FORMAT_ABORT, reason);

	return ret;
}

/**
 * \brief edg_wll_LogClear
 *
 * edg_wll_LogClear - simple wrapper around edg_wll_LogEvent for event Clear
 *
 */

int edg_wll_LogClear(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, reason);

	return ret;
}

/**
 * \brief edg_wll_LogClearProxy
 *
 * edg_wll_LogClearProxy - simple wrapper around edg_wll_LogEventProxy for event Clear
 *
 */

int edg_wll_LogClearProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, reason);

	return ret;
}

/**
 * \brief edg_wll_LogClearFile
 *
 * edg_wll_LogClearFile - simple wrapper around edg_wll_LogEventFile for event Clear
 *
 */

int edg_wll_LogClearFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, reason);

	return ret;
}

/**
 * \brief edg_wll_LogClearUSER
 *
 * edg_wll_LogClearUSER - simple wrapper around edg_wll_LogEvent for event Clear, reason USER
 *
 */

int edg_wll_LogClearUSER(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, "USER");

	return ret;
}

/**
 * \brief edg_wll_LogClearUSERProxy
 *
 * edg_wll_LogClearUSERProxy - simple wrapper around edg_wll_LogEventProxy for event Clear, reason USER
 *
 */

int edg_wll_LogClearUSERProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, "USER");

	return ret;
}

/**
 * \brief edg_wll_LogClearUSERFile
 *
 * edg_wll_LogClearUSERFile - simple wrapper around edg_wll_LogEventFile for event Clear, reason USER
 *
 */

int edg_wll_LogClearUSERFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, "USER");

	return ret;
}

/**
 * \brief edg_wll_LogClearTIMEOUT
 *
 * edg_wll_LogClearTIMEOUT - simple wrapper around edg_wll_LogEvent for event Clear, reason TIMEOUT
 *
 */

int edg_wll_LogClearTIMEOUT(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, "TIMEOUT");

	return ret;
}

/**
 * \brief edg_wll_LogClearTIMEOUTProxy
 *
 * edg_wll_LogClearTIMEOUTProxy - simple wrapper around edg_wll_LogEventProxy for event Clear, reason TIMEOUT
 *
 */

int edg_wll_LogClearTIMEOUTProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, "TIMEOUT");

	return ret;
}

/**
 * \brief edg_wll_LogClearTIMEOUTFile
 *
 * edg_wll_LogClearTIMEOUTFile - simple wrapper around edg_wll_LogEventFile for event Clear, reason TIMEOUT
 *
 */

int edg_wll_LogClearTIMEOUTFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, "TIMEOUT");

	return ret;
}

/**
 * \brief edg_wll_LogClearNOOUTPUT
 *
 * edg_wll_LogClearNOOUTPUT - simple wrapper around edg_wll_LogEvent for event Clear, reason NOOUTPUT
 *
 */

int edg_wll_LogClearNOOUTPUT(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, "NOOUTPUT");

	return ret;
}

/**
 * \brief edg_wll_LogClearNOOUTPUTProxy
 *
 * edg_wll_LogClearNOOUTPUTProxy - simple wrapper around edg_wll_LogEventProxy for event Clear, reason NOOUTPUT
 *
 */

int edg_wll_LogClearNOOUTPUTProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, "NOOUTPUT");

	return ret;
}

/**
 * \brief edg_wll_LogClearNOOUTPUTFile
 *
 * edg_wll_LogClearNOOUTPUTFile - simple wrapper around edg_wll_LogEventFile for event Clear, reason NOOUTPUT
 *
 */

int edg_wll_LogClearNOOUTPUTFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CLEAR,EDG_WLL_FORMAT_CLEAR, "NOOUTPUT");

	return ret;
}

/**
 * \brief edg_wll_LogPurge
 *
 * edg_wll_LogPurge - simple wrapper around edg_wll_LogEvent for event Purge
 *
 */

int edg_wll_LogPurge(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PURGE,EDG_WLL_FORMAT_PURGE);

	return ret;
}

/**
 * \brief edg_wll_LogPurgeProxy
 *
 * edg_wll_LogPurgeProxy - simple wrapper around edg_wll_LogEventProxy for event Purge
 *
 */

int edg_wll_LogPurgeProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PURGE,EDG_WLL_FORMAT_PURGE);

	return ret;
}

/**
 * \brief edg_wll_LogPurgeFile
 *
 * edg_wll_LogPurgeFile - simple wrapper around edg_wll_LogEventFile for event Purge
 *
 */

int edg_wll_LogPurgeFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PURGE,EDG_WLL_FORMAT_PURGE);

	return ret;
}

/**
 * \brief edg_wll_LogMatch
 *
 * edg_wll_LogMatch - simple wrapper around edg_wll_LogEvent for event Match
 *
 */

int edg_wll_LogMatch(edg_wll_Context context, const char * dest_id)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_MATCH,EDG_WLL_FORMAT_MATCH, dest_id);

	return ret;
}

/**
 * \brief edg_wll_LogMatchProxy
 *
 * edg_wll_LogMatchProxy - simple wrapper around edg_wll_LogEventProxy for event Match
 *
 */

int edg_wll_LogMatchProxy(edg_wll_Context context, const char * dest_id)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_MATCH,EDG_WLL_FORMAT_MATCH, dest_id);

	return ret;
}

/**
 * \brief edg_wll_LogMatchFile
 *
 * edg_wll_LogMatchFile - simple wrapper around edg_wll_LogEventFile for event Match
 *
 */

int edg_wll_LogMatchFile(edg_wll_Context context, const char * dest_id)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_MATCH,EDG_WLL_FORMAT_MATCH, dest_id);

	return ret;
}

/**
 * \brief edg_wll_LogPending
 *
 * edg_wll_LogPending - simple wrapper around edg_wll_LogEvent for event Pending
 *
 */

int edg_wll_LogPending(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PENDING,EDG_WLL_FORMAT_PENDING, reason);

	return ret;
}

/**
 * \brief edg_wll_LogPendingProxy
 *
 * edg_wll_LogPendingProxy - simple wrapper around edg_wll_LogEventProxy for event Pending
 *
 */

int edg_wll_LogPendingProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PENDING,EDG_WLL_FORMAT_PENDING, reason);

	return ret;
}

/**
 * \brief edg_wll_LogPendingFile
 *
 * edg_wll_LogPendingFile - simple wrapper around edg_wll_LogEventFile for event Pending
 *
 */

int edg_wll_LogPendingFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PENDING,EDG_WLL_FORMAT_PENDING, reason);

	return ret;
}

/**
 * \brief edg_wll_LogRegJob
 *
 * edg_wll_LogRegJob - simple wrapper around edg_wll_LogEvent for event RegJob
 *
 */

int edg_wll_LogRegJob(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const char * jobtype, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, jobtype, nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobProxy
 *
 * edg_wll_LogRegJobProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob
 *
 */

int edg_wll_LogRegJobProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const char * jobtype, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, jobtype, nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobFile
 *
 * edg_wll_LogRegJobFile - simple wrapper around edg_wll_LogEventFile for event RegJob
 *
 */

int edg_wll_LogRegJobFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const char * jobtype, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, jobtype, nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobSIMPLE
 *
 * edg_wll_LogRegJobSIMPLE - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype SIMPLE
 *
 */

int edg_wll_LogRegJobSIMPLE(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "SIMPLE", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobSIMPLEProxy
 *
 * edg_wll_LogRegJobSIMPLEProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype SIMPLE
 *
 */

int edg_wll_LogRegJobSIMPLEProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "SIMPLE", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobSIMPLEFile
 *
 * edg_wll_LogRegJobSIMPLEFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype SIMPLE
 *
 */

int edg_wll_LogRegJobSIMPLEFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "SIMPLE", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobDAG
 *
 * edg_wll_LogRegJobDAG - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype DAG
 *
 */

int edg_wll_LogRegJobDAG(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "DAG", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobDAGProxy
 *
 * edg_wll_LogRegJobDAGProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype DAG
 *
 */

int edg_wll_LogRegJobDAGProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "DAG", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobDAGFile
 *
 * edg_wll_LogRegJobDAGFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype DAG
 *
 */

int edg_wll_LogRegJobDAGFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "DAG", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobPARTITIONABLE
 *
 * edg_wll_LogRegJobPARTITIONABLE - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype PARTITIONABLE
 *
 */

int edg_wll_LogRegJobPARTITIONABLE(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "PARTITIONABLE", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobPARTITIONABLEProxy
 *
 * edg_wll_LogRegJobPARTITIONABLEProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype PARTITIONABLE
 *
 */

int edg_wll_LogRegJobPARTITIONABLEProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "PARTITIONABLE", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobPARTITIONABLEFile
 *
 * edg_wll_LogRegJobPARTITIONABLEFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype PARTITIONABLE
 *
 */

int edg_wll_LogRegJobPARTITIONABLEFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "PARTITIONABLE", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobPARTITIONED
 *
 * edg_wll_LogRegJobPARTITIONED - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype PARTITIONED
 *
 */

int edg_wll_LogRegJobPARTITIONED(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "PARTITIONED", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobPARTITIONEDProxy
 *
 * edg_wll_LogRegJobPARTITIONEDProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype PARTITIONED
 *
 */

int edg_wll_LogRegJobPARTITIONEDProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "PARTITIONED", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobPARTITIONEDFile
 *
 * edg_wll_LogRegJobPARTITIONEDFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype PARTITIONED
 *
 */

int edg_wll_LogRegJobPARTITIONEDFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "PARTITIONED", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobCOLLECTION
 *
 * edg_wll_LogRegJobCOLLECTION - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype COLLECTION
 *
 */

int edg_wll_LogRegJobCOLLECTION(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "COLLECTION", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobCOLLECTIONProxy
 *
 * edg_wll_LogRegJobCOLLECTIONProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype COLLECTION
 *
 */

int edg_wll_LogRegJobCOLLECTIONProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "COLLECTION", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobCOLLECTIONFile
 *
 * edg_wll_LogRegJobCOLLECTIONFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype COLLECTION
 *
 */

int edg_wll_LogRegJobCOLLECTIONFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "COLLECTION", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobPBS
 *
 * edg_wll_LogRegJobPBS - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype PBS
 *
 */

int edg_wll_LogRegJobPBS(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "PBS", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobPBSProxy
 *
 * edg_wll_LogRegJobPBSProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype PBS
 *
 */

int edg_wll_LogRegJobPBSProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "PBS", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobPBSFile
 *
 * edg_wll_LogRegJobPBSFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype PBS
 *
 */

int edg_wll_LogRegJobPBSFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "PBS", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobCONDOR
 *
 * edg_wll_LogRegJobCONDOR - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype CONDOR
 *
 */

int edg_wll_LogRegJobCONDOR(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "CONDOR", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobCONDORProxy
 *
 * edg_wll_LogRegJobCONDORProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype CONDOR
 *
 */

int edg_wll_LogRegJobCONDORProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "CONDOR", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobCONDORFile
 *
 * edg_wll_LogRegJobCONDORFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype CONDOR
 *
 */

int edg_wll_LogRegJobCONDORFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "CONDOR", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobCREAM
 *
 * edg_wll_LogRegJobCREAM - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype CREAM
 *
 */

int edg_wll_LogRegJobCREAM(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "CREAM", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobCREAMProxy
 *
 * edg_wll_LogRegJobCREAMProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype CREAM
 *
 */

int edg_wll_LogRegJobCREAMProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "CREAM", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobCREAMFile
 *
 * edg_wll_LogRegJobCREAMFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype CREAM
 *
 */

int edg_wll_LogRegJobCREAMFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "CREAM", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobFILE_TRANSFER_COLLECTION
 *
 * edg_wll_LogRegJobFILE_TRANSFER_COLLECTION - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype FILE_TRANSFER_COLLECTION
 *
 */

int edg_wll_LogRegJobFILE_TRANSFER_COLLECTION(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "FILE_TRANSFER_COLLECTION", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobFILE_TRANSFER_COLLECTIONProxy
 *
 * edg_wll_LogRegJobFILE_TRANSFER_COLLECTIONProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype FILE_TRANSFER_COLLECTION
 *
 */

int edg_wll_LogRegJobFILE_TRANSFER_COLLECTIONProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "FILE_TRANSFER_COLLECTION", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobFILE_TRANSFER_COLLECTIONFile
 *
 * edg_wll_LogRegJobFILE_TRANSFER_COLLECTIONFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype FILE_TRANSFER_COLLECTION
 *
 */

int edg_wll_LogRegJobFILE_TRANSFER_COLLECTIONFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "FILE_TRANSFER_COLLECTION", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobFILE_TRANSFER
 *
 * edg_wll_LogRegJobFILE_TRANSFER - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype FILE_TRANSFER
 *
 */

int edg_wll_LogRegJobFILE_TRANSFER(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "FILE_TRANSFER", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobFILE_TRANSFERProxy
 *
 * edg_wll_LogRegJobFILE_TRANSFERProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype FILE_TRANSFER
 *
 */

int edg_wll_LogRegJobFILE_TRANSFERProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "FILE_TRANSFER", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobFILE_TRANSFERFile
 *
 * edg_wll_LogRegJobFILE_TRANSFERFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype FILE_TRANSFER
 *
 */

int edg_wll_LogRegJobFILE_TRANSFERFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "FILE_TRANSFER", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobVIRTUAL_MACHINE
 *
 * edg_wll_LogRegJobVIRTUAL_MACHINE - simple wrapper around edg_wll_LogEvent for event RegJob, jobtype VIRTUAL_MACHINE
 *
 */

int edg_wll_LogRegJobVIRTUAL_MACHINE(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "VIRTUAL_MACHINE", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobVIRTUAL_MACHINEProxy
 *
 * edg_wll_LogRegJobVIRTUAL_MACHINEProxy - simple wrapper around edg_wll_LogEventProxy for event RegJob, jobtype VIRTUAL_MACHINE
 *
 */

int edg_wll_LogRegJobVIRTUAL_MACHINEProxy(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "VIRTUAL_MACHINE", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogRegJobVIRTUAL_MACHINEFile
 *
 * edg_wll_LogRegJobVIRTUAL_MACHINEFile - simple wrapper around edg_wll_LogEventFile for event RegJob, jobtype VIRTUAL_MACHINE
 *
 */

int edg_wll_LogRegJobVIRTUAL_MACHINEFile(edg_wll_Context context, const char * jdl, const char * ns, const glite_jobid_t parent, const int nsubjobs, const char * seed, const char * wms_dn)
{
	int ret;
	char *s_parent; s_parent = edg_wlc_JobIdUnparse(parent);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REGJOB,EDG_WLL_FORMAT_REGJOB, jdl, ns, s_parent, "VIRTUAL_MACHINE", nsubjobs, seed, wms_dn);
	free(s_parent);

	return ret;
}

/**
 * \brief edg_wll_LogChkpt
 *
 * edg_wll_LogChkpt - simple wrapper around edg_wll_LogEvent for event Chkpt
 *
 */

int edg_wll_LogChkpt(edg_wll_Context context, const char * tag, const char * classad)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHKPT,EDG_WLL_FORMAT_CHKPT, tag, classad);

	return ret;
}

/**
 * \brief edg_wll_LogChkptProxy
 *
 * edg_wll_LogChkptProxy - simple wrapper around edg_wll_LogEventProxy for event Chkpt
 *
 */

int edg_wll_LogChkptProxy(edg_wll_Context context, const char * tag, const char * classad)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHKPT,EDG_WLL_FORMAT_CHKPT, tag, classad);

	return ret;
}

/**
 * \brief edg_wll_LogChkptFile
 *
 * edg_wll_LogChkptFile - simple wrapper around edg_wll_LogEventFile for event Chkpt
 *
 */

int edg_wll_LogChkptFile(edg_wll_Context context, const char * tag, const char * classad)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHKPT,EDG_WLL_FORMAT_CHKPT, tag, classad);

	return ret;
}

/**
 * \brief edg_wll_LogListener
 *
 * edg_wll_LogListener - simple wrapper around edg_wll_LogEvent for event Listener
 *
 */

int edg_wll_LogListener(edg_wll_Context context, const char * svc_name, const char * svc_host, const uint16_t svc_port)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_LISTENER,EDG_WLL_FORMAT_LISTENER, svc_name, svc_host, svc_port);

	return ret;
}

/**
 * \brief edg_wll_LogListenerProxy
 *
 * edg_wll_LogListenerProxy - simple wrapper around edg_wll_LogEventProxy for event Listener
 *
 */

int edg_wll_LogListenerProxy(edg_wll_Context context, const char * svc_name, const char * svc_host, const uint16_t svc_port)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_LISTENER,EDG_WLL_FORMAT_LISTENER, svc_name, svc_host, svc_port);

	return ret;
}

/**
 * \brief edg_wll_LogListenerFile
 *
 * edg_wll_LogListenerFile - simple wrapper around edg_wll_LogEventFile for event Listener
 *
 */

int edg_wll_LogListenerFile(edg_wll_Context context, const char * svc_name, const char * svc_host, const uint16_t svc_port)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_LISTENER,EDG_WLL_FORMAT_LISTENER, svc_name, svc_host, svc_port);

	return ret;
}

/**
 * \brief edg_wll_LogCurDescr
 *
 * edg_wll_LogCurDescr - simple wrapper around edg_wll_LogEvent for event CurDescr
 *
 */

int edg_wll_LogCurDescr(edg_wll_Context context, const char * descr)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CURDESCR,EDG_WLL_FORMAT_CURDESCR, descr);

	return ret;
}

/**
 * \brief edg_wll_LogCurDescrProxy
 *
 * edg_wll_LogCurDescrProxy - simple wrapper around edg_wll_LogEventProxy for event CurDescr
 *
 */

int edg_wll_LogCurDescrProxy(edg_wll_Context context, const char * descr)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CURDESCR,EDG_WLL_FORMAT_CURDESCR, descr);

	return ret;
}

/**
 * \brief edg_wll_LogCurDescrFile
 *
 * edg_wll_LogCurDescrFile - simple wrapper around edg_wll_LogEventFile for event CurDescr
 *
 */

int edg_wll_LogCurDescrFile(edg_wll_Context context, const char * descr)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CURDESCR,EDG_WLL_FORMAT_CURDESCR, descr);

	return ret;
}

/**
 * \brief edg_wll_LogUserTag
 *
 * edg_wll_LogUserTag - simple wrapper around edg_wll_LogEvent for event UserTag
 *
 */

int edg_wll_LogUserTag(edg_wll_Context context, const char * name, const char * value)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_USERTAG,EDG_WLL_FORMAT_USERTAG, name, value);

	return ret;
}

/**
 * \brief edg_wll_LogUserTagProxy
 *
 * edg_wll_LogUserTagProxy - simple wrapper around edg_wll_LogEventProxy for event UserTag
 *
 */

int edg_wll_LogUserTagProxy(edg_wll_Context context, const char * name, const char * value)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_USERTAG,EDG_WLL_FORMAT_USERTAG, name, value);

	return ret;
}

/**
 * \brief edg_wll_LogUserTagFile
 *
 * edg_wll_LogUserTagFile - simple wrapper around edg_wll_LogEventFile for event UserTag
 *
 */

int edg_wll_LogUserTagFile(edg_wll_Context context, const char * name, const char * value)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_USERTAG,EDG_WLL_FORMAT_USERTAG, name, value);

	return ret;
}

/**
 * \brief edg_wll_LogChangeACL
 *
 * edg_wll_LogChangeACL - simple wrapper around edg_wll_LogEvent for event ChangeACL
 *
 */

int edg_wll_LogChangeACL(edg_wll_Context context, const char * user_id, const char * user_id_type, const char * permission, const char * permission_type, const char * operation)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, user_id_type, permission, permission_type, operation);

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLProxy
 *
 * edg_wll_LogChangeACLProxy - simple wrapper around edg_wll_LogEventProxy for event ChangeACL
 *
 */

int edg_wll_LogChangeACLProxy(edg_wll_Context context, const char * user_id, const char * user_id_type, const char * permission, const char * permission_type, const char * operation)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, user_id_type, permission, permission_type, operation);

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLFile
 *
 * edg_wll_LogChangeACLFile - simple wrapper around edg_wll_LogEventFile for event ChangeACL
 *
 */

int edg_wll_LogChangeACLFile(edg_wll_Context context, const char * user_id, const char * user_id_type, const char * permission, const char * permission_type, const char * operation)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, user_id_type, permission, permission_type, operation);

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLDN
 *
 * edg_wll_LogChangeACLDN - simple wrapper around edg_wll_LogEvent for event ChangeACL, user_id_type DN
 *
 */

int edg_wll_LogChangeACLDN(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "DN", "DN", "DN", "DN");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLDNProxy
 *
 * edg_wll_LogChangeACLDNProxy - simple wrapper around edg_wll_LogEventProxy for event ChangeACL, user_id_type DN
 *
 */

int edg_wll_LogChangeACLDNProxy(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "DN", "DN", "DN", "DN");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLDNFile
 *
 * edg_wll_LogChangeACLDNFile - simple wrapper around edg_wll_LogEventFile for event ChangeACL, user_id_type DN
 *
 */

int edg_wll_LogChangeACLDNFile(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "DN", "DN", "DN", "DN");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLGROUP
 *
 * edg_wll_LogChangeACLGROUP - simple wrapper around edg_wll_LogEvent for event ChangeACL, user_id_type GROUP
 *
 */

int edg_wll_LogChangeACLGROUP(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "GROUP", "GROUP", "GROUP", "GROUP");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLGROUPProxy
 *
 * edg_wll_LogChangeACLGROUPProxy - simple wrapper around edg_wll_LogEventProxy for event ChangeACL, user_id_type GROUP
 *
 */

int edg_wll_LogChangeACLGROUPProxy(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "GROUP", "GROUP", "GROUP", "GROUP");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLGROUPFile
 *
 * edg_wll_LogChangeACLGROUPFile - simple wrapper around edg_wll_LogEventFile for event ChangeACL, user_id_type GROUP
 *
 */

int edg_wll_LogChangeACLGROUPFile(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "GROUP", "GROUP", "GROUP", "GROUP");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLFQAN
 *
 * edg_wll_LogChangeACLFQAN - simple wrapper around edg_wll_LogEvent for event ChangeACL, user_id_type FQAN
 *
 */

int edg_wll_LogChangeACLFQAN(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "FQAN", "FQAN", "FQAN", "FQAN");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLFQANProxy
 *
 * edg_wll_LogChangeACLFQANProxy - simple wrapper around edg_wll_LogEventProxy for event ChangeACL, user_id_type FQAN
 *
 */

int edg_wll_LogChangeACLFQANProxy(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "FQAN", "FQAN", "FQAN", "FQAN");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLFQANFile
 *
 * edg_wll_LogChangeACLFQANFile - simple wrapper around edg_wll_LogEventFile for event ChangeACL, user_id_type FQAN
 *
 */

int edg_wll_LogChangeACLFQANFile(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "FQAN", "FQAN", "FQAN", "FQAN");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLREAD
 *
 * edg_wll_LogChangeACLREAD - simple wrapper around edg_wll_LogEvent for event ChangeACL, permission READ
 *
 */

int edg_wll_LogChangeACLREAD(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "READ", "READ", "READ", "READ");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLREADProxy
 *
 * edg_wll_LogChangeACLREADProxy - simple wrapper around edg_wll_LogEventProxy for event ChangeACL, permission READ
 *
 */

int edg_wll_LogChangeACLREADProxy(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "READ", "READ", "READ", "READ");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLREADFile
 *
 * edg_wll_LogChangeACLREADFile - simple wrapper around edg_wll_LogEventFile for event ChangeACL, permission READ
 *
 */

int edg_wll_LogChangeACLREADFile(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "READ", "READ", "READ", "READ");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLTAG
 *
 * edg_wll_LogChangeACLTAG - simple wrapper around edg_wll_LogEvent for event ChangeACL, permission TAG
 *
 */

int edg_wll_LogChangeACLTAG(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "TAG", "TAG", "TAG", "TAG");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLTAGProxy
 *
 * edg_wll_LogChangeACLTAGProxy - simple wrapper around edg_wll_LogEventProxy for event ChangeACL, permission TAG
 *
 */

int edg_wll_LogChangeACLTAGProxy(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "TAG", "TAG", "TAG", "TAG");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLTAGFile
 *
 * edg_wll_LogChangeACLTAGFile - simple wrapper around edg_wll_LogEventFile for event ChangeACL, permission TAG
 *
 */

int edg_wll_LogChangeACLTAGFile(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "TAG", "TAG", "TAG", "TAG");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLALLOW
 *
 * edg_wll_LogChangeACLALLOW - simple wrapper around edg_wll_LogEvent for event ChangeACL, permission_type ALLOW
 *
 */

int edg_wll_LogChangeACLALLOW(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "ALLOW", "ALLOW", "ALLOW", "ALLOW");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLALLOWProxy
 *
 * edg_wll_LogChangeACLALLOWProxy - simple wrapper around edg_wll_LogEventProxy for event ChangeACL, permission_type ALLOW
 *
 */

int edg_wll_LogChangeACLALLOWProxy(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "ALLOW", "ALLOW", "ALLOW", "ALLOW");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLALLOWFile
 *
 * edg_wll_LogChangeACLALLOWFile - simple wrapper around edg_wll_LogEventFile for event ChangeACL, permission_type ALLOW
 *
 */

int edg_wll_LogChangeACLALLOWFile(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "ALLOW", "ALLOW", "ALLOW", "ALLOW");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLDENY
 *
 * edg_wll_LogChangeACLDENY - simple wrapper around edg_wll_LogEvent for event ChangeACL, permission_type DENY
 *
 */

int edg_wll_LogChangeACLDENY(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "DENY", "DENY", "DENY", "DENY");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLDENYProxy
 *
 * edg_wll_LogChangeACLDENYProxy - simple wrapper around edg_wll_LogEventProxy for event ChangeACL, permission_type DENY
 *
 */

int edg_wll_LogChangeACLDENYProxy(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "DENY", "DENY", "DENY", "DENY");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLDENYFile
 *
 * edg_wll_LogChangeACLDENYFile - simple wrapper around edg_wll_LogEventFile for event ChangeACL, permission_type DENY
 *
 */

int edg_wll_LogChangeACLDENYFile(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "DENY", "DENY", "DENY", "DENY");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLADD
 *
 * edg_wll_LogChangeACLADD - simple wrapper around edg_wll_LogEvent for event ChangeACL, operation ADD
 *
 */

int edg_wll_LogChangeACLADD(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "ADD", "ADD", "ADD", "ADD");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLADDProxy
 *
 * edg_wll_LogChangeACLADDProxy - simple wrapper around edg_wll_LogEventProxy for event ChangeACL, operation ADD
 *
 */

int edg_wll_LogChangeACLADDProxy(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "ADD", "ADD", "ADD", "ADD");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLADDFile
 *
 * edg_wll_LogChangeACLADDFile - simple wrapper around edg_wll_LogEventFile for event ChangeACL, operation ADD
 *
 */

int edg_wll_LogChangeACLADDFile(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "ADD", "ADD", "ADD", "ADD");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLREMOVE
 *
 * edg_wll_LogChangeACLREMOVE - simple wrapper around edg_wll_LogEvent for event ChangeACL, operation REMOVE
 *
 */

int edg_wll_LogChangeACLREMOVE(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "REMOVE", "REMOVE", "REMOVE", "REMOVE");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLREMOVEProxy
 *
 * edg_wll_LogChangeACLREMOVEProxy - simple wrapper around edg_wll_LogEventProxy for event ChangeACL, operation REMOVE
 *
 */

int edg_wll_LogChangeACLREMOVEProxy(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "REMOVE", "REMOVE", "REMOVE", "REMOVE");

	return ret;
}

/**
 * \brief edg_wll_LogChangeACLREMOVEFile
 *
 * edg_wll_LogChangeACLREMOVEFile - simple wrapper around edg_wll_LogEventFile for event ChangeACL, operation REMOVE
 *
 */

int edg_wll_LogChangeACLREMOVEFile(edg_wll_Context context, const char * user_id)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CHANGEACL,EDG_WLL_FORMAT_CHANGEACL, user_id, "REMOVE", "REMOVE", "REMOVE", "REMOVE");

	return ret;
}

/**
 * \brief edg_wll_LogNotification
 *
 * edg_wll_LogNotification - simple wrapper around edg_wll_LogEvent for event Notification
 *
 */

int edg_wll_LogNotification(edg_wll_Context context, const edg_wll_NotifId notifId, const char * owner, const char * dest_host, const uint16_t dest_port, const int expires, const char * jobstat, const char * dest_url)
{
	int ret;
	char *s_notifId; s_notifId = edg_wll_NotifIdUnparse(notifId);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_NOTIFICATION,EDG_WLL_FORMAT_NOTIFICATION, s_notifId, owner, dest_host, dest_port, expires, jobstat, dest_url);
	free(s_notifId);

	return ret;
}

/**
 * \brief edg_wll_LogNotificationProxy
 *
 * edg_wll_LogNotificationProxy - simple wrapper around edg_wll_LogEventProxy for event Notification
 *
 */

int edg_wll_LogNotificationProxy(edg_wll_Context context, const edg_wll_NotifId notifId, const char * owner, const char * dest_host, const uint16_t dest_port, const int expires, const char * jobstat, const char * dest_url)
{
	int ret;
	char *s_notifId; s_notifId = edg_wll_NotifIdUnparse(notifId);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_NOTIFICATION,EDG_WLL_FORMAT_NOTIFICATION, s_notifId, owner, dest_host, dest_port, expires, jobstat, dest_url);
	free(s_notifId);

	return ret;
}

/**
 * \brief edg_wll_LogNotificationFile
 *
 * edg_wll_LogNotificationFile - simple wrapper around edg_wll_LogEventFile for event Notification
 *
 */

int edg_wll_LogNotificationFile(edg_wll_Context context, const edg_wll_NotifId notifId, const char * owner, const char * dest_host, const uint16_t dest_port, const int expires, const char * jobstat, const char * dest_url)
{
	int ret;
	char *s_notifId; s_notifId = edg_wll_NotifIdUnparse(notifId);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_NOTIFICATION,EDG_WLL_FORMAT_NOTIFICATION, s_notifId, owner, dest_host, dest_port, expires, jobstat, dest_url);
	free(s_notifId);

	return ret;
}

/**
 * \brief edg_wll_LogResourceUsage
 *
 * edg_wll_LogResourceUsage - simple wrapper around edg_wll_LogEvent for event ResourceUsage
 *
 */

int edg_wll_LogResourceUsage(edg_wll_Context context, const char * resource, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_RESOURCEUSAGE,EDG_WLL_FORMAT_RESOURCEUSAGE, resource, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogResourceUsageProxy
 *
 * edg_wll_LogResourceUsageProxy - simple wrapper around edg_wll_LogEventProxy for event ResourceUsage
 *
 */

int edg_wll_LogResourceUsageProxy(edg_wll_Context context, const char * resource, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_RESOURCEUSAGE,EDG_WLL_FORMAT_RESOURCEUSAGE, resource, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogResourceUsageFile
 *
 * edg_wll_LogResourceUsageFile - simple wrapper around edg_wll_LogEventFile for event ResourceUsage
 *
 */

int edg_wll_LogResourceUsageFile(edg_wll_Context context, const char * resource, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_RESOURCEUSAGE,EDG_WLL_FORMAT_RESOURCEUSAGE, resource, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogReallyRunning
 *
 * edg_wll_LogReallyRunning - simple wrapper around edg_wll_LogEvent for event ReallyRunning
 *
 */

int edg_wll_LogReallyRunning(edg_wll_Context context, const char * wn_seq)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_REALLYRUNNING,EDG_WLL_FORMAT_REALLYRUNNING, wn_seq);

	return ret;
}

/**
 * \brief edg_wll_LogReallyRunningProxy
 *
 * edg_wll_LogReallyRunningProxy - simple wrapper around edg_wll_LogEventProxy for event ReallyRunning
 *
 */

int edg_wll_LogReallyRunningProxy(edg_wll_Context context, const char * wn_seq)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_REALLYRUNNING,EDG_WLL_FORMAT_REALLYRUNNING, wn_seq);

	return ret;
}

/**
 * \brief edg_wll_LogReallyRunningFile
 *
 * edg_wll_LogReallyRunningFile - simple wrapper around edg_wll_LogEventFile for event ReallyRunning
 *
 */

int edg_wll_LogReallyRunningFile(edg_wll_Context context, const char * wn_seq)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_REALLYRUNNING,EDG_WLL_FORMAT_REALLYRUNNING, wn_seq);

	return ret;
}

/**
 * \brief edg_wll_LogSuspend
 *
 * edg_wll_LogSuspend - simple wrapper around edg_wll_LogEvent for event Suspend
 *
 */

int edg_wll_LogSuspend(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_SUSPEND,EDG_WLL_FORMAT_SUSPEND, reason);

	return ret;
}

/**
 * \brief edg_wll_LogSuspendProxy
 *
 * edg_wll_LogSuspendProxy - simple wrapper around edg_wll_LogEventProxy for event Suspend
 *
 */

int edg_wll_LogSuspendProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_SUSPEND,EDG_WLL_FORMAT_SUSPEND, reason);

	return ret;
}

/**
 * \brief edg_wll_LogSuspendFile
 *
 * edg_wll_LogSuspendFile - simple wrapper around edg_wll_LogEventFile for event Suspend
 *
 */

int edg_wll_LogSuspendFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_SUSPEND,EDG_WLL_FORMAT_SUSPEND, reason);

	return ret;
}

/**
 * \brief edg_wll_LogResume
 *
 * edg_wll_LogResume - simple wrapper around edg_wll_LogEvent for event Resume
 *
 */

int edg_wll_LogResume(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_RESUME,EDG_WLL_FORMAT_RESUME, reason);

	return ret;
}

/**
 * \brief edg_wll_LogResumeProxy
 *
 * edg_wll_LogResumeProxy - simple wrapper around edg_wll_LogEventProxy for event Resume
 *
 */

int edg_wll_LogResumeProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_RESUME,EDG_WLL_FORMAT_RESUME, reason);

	return ret;
}

/**
 * \brief edg_wll_LogResumeFile
 *
 * edg_wll_LogResumeFile - simple wrapper around edg_wll_LogEventFile for event Resume
 *
 */

int edg_wll_LogResumeFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_RESUME,EDG_WLL_FORMAT_RESUME, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCollectionState
 *
 * edg_wll_LogCollectionState - simple wrapper around edg_wll_LogEvent for event CollectionState
 *
 */

int edg_wll_LogCollectionState(edg_wll_Context context, const char * state, const int done_code, const char * histogram, const glite_jobid_t child, const char * child_event)
{
	int ret;
	char *s_child; s_child = edg_wlc_JobIdUnparse(child);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_COLLECTIONSTATE,EDG_WLL_FORMAT_COLLECTIONSTATE, state, done_code, histogram, s_child, child_event);
	free(s_child);

	return ret;
}

/**
 * \brief edg_wll_LogCollectionStateProxy
 *
 * edg_wll_LogCollectionStateProxy - simple wrapper around edg_wll_LogEventProxy for event CollectionState
 *
 */

int edg_wll_LogCollectionStateProxy(edg_wll_Context context, const char * state, const int done_code, const char * histogram, const glite_jobid_t child, const char * child_event)
{
	int ret;
	char *s_child; s_child = edg_wlc_JobIdUnparse(child);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_COLLECTIONSTATE,EDG_WLL_FORMAT_COLLECTIONSTATE, state, done_code, histogram, s_child, child_event);
	free(s_child);

	return ret;
}

/**
 * \brief edg_wll_LogCollectionStateFile
 *
 * edg_wll_LogCollectionStateFile - simple wrapper around edg_wll_LogEventFile for event CollectionState
 *
 */

int edg_wll_LogCollectionStateFile(edg_wll_Context context, const char * state, const int done_code, const char * histogram, const glite_jobid_t child, const char * child_event)
{
	int ret;
	char *s_child; s_child = edg_wlc_JobIdUnparse(child);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_COLLECTIONSTATE,EDG_WLL_FORMAT_COLLECTIONSTATE, state, done_code, histogram, s_child, child_event);
	free(s_child);

	return ret;
}

/**
 * \brief edg_wll_LogGrantPayloadOwnership
 *
 * edg_wll_LogGrantPayloadOwnership - simple wrapper around edg_wll_LogEvent for event GrantPayloadOwnership
 *
 */

int edg_wll_LogGrantPayloadOwnership(edg_wll_Context context, const char * payload_owner)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_GRANTPAYLOADOWNERSHIP,EDG_WLL_FORMAT_GRANTPAYLOADOWNERSHIP, payload_owner);

	return ret;
}

/**
 * \brief edg_wll_LogGrantPayloadOwnershipProxy
 *
 * edg_wll_LogGrantPayloadOwnershipProxy - simple wrapper around edg_wll_LogEventProxy for event GrantPayloadOwnership
 *
 */

int edg_wll_LogGrantPayloadOwnershipProxy(edg_wll_Context context, const char * payload_owner)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_GRANTPAYLOADOWNERSHIP,EDG_WLL_FORMAT_GRANTPAYLOADOWNERSHIP, payload_owner);

	return ret;
}

/**
 * \brief edg_wll_LogGrantPayloadOwnershipFile
 *
 * edg_wll_LogGrantPayloadOwnershipFile - simple wrapper around edg_wll_LogEventFile for event GrantPayloadOwnership
 *
 */

int edg_wll_LogGrantPayloadOwnershipFile(edg_wll_Context context, const char * payload_owner)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_GRANTPAYLOADOWNERSHIP,EDG_WLL_FORMAT_GRANTPAYLOADOWNERSHIP, payload_owner);

	return ret;
}

/**
 * \brief edg_wll_LogTakePayloadOwnership
 *
 * edg_wll_LogTakePayloadOwnership - simple wrapper around edg_wll_LogEvent for event TakePayloadOwnership
 *
 */

int edg_wll_LogTakePayloadOwnership(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_TAKEPAYLOADOWNERSHIP,EDG_WLL_FORMAT_TAKEPAYLOADOWNERSHIP);

	return ret;
}

/**
 * \brief edg_wll_LogTakePayloadOwnershipProxy
 *
 * edg_wll_LogTakePayloadOwnershipProxy - simple wrapper around edg_wll_LogEventProxy for event TakePayloadOwnership
 *
 */

int edg_wll_LogTakePayloadOwnershipProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_TAKEPAYLOADOWNERSHIP,EDG_WLL_FORMAT_TAKEPAYLOADOWNERSHIP);

	return ret;
}

/**
 * \brief edg_wll_LogTakePayloadOwnershipFile
 *
 * edg_wll_LogTakePayloadOwnershipFile - simple wrapper around edg_wll_LogEventFile for event TakePayloadOwnership
 *
 */

int edg_wll_LogTakePayloadOwnershipFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_TAKEPAYLOADOWNERSHIP,EDG_WLL_FORMAT_TAKEPAYLOADOWNERSHIP);

	return ret;
}

/**
 * \brief edg_wll_LogConnectJob
 *
 * edg_wll_LogConnectJob - simple wrapper around edg_wll_LogEvent for event ConnectJob
 *
 */

int edg_wll_LogConnectJob(edg_wll_Context context, const char * dest_jobid, const char * jobtype)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, jobtype);

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobProxy
 *
 * edg_wll_LogConnectJobProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob
 *
 */

int edg_wll_LogConnectJobProxy(edg_wll_Context context, const char * dest_jobid, const char * jobtype)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, jobtype);

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobFile
 *
 * edg_wll_LogConnectJobFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob
 *
 */

int edg_wll_LogConnectJobFile(edg_wll_Context context, const char * dest_jobid, const char * jobtype)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, jobtype);

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobSIMPLE
 *
 * edg_wll_LogConnectJobSIMPLE - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype SIMPLE
 *
 */

int edg_wll_LogConnectJobSIMPLE(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "SIMPLE");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobSIMPLEProxy
 *
 * edg_wll_LogConnectJobSIMPLEProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype SIMPLE
 *
 */

int edg_wll_LogConnectJobSIMPLEProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "SIMPLE");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobSIMPLEFile
 *
 * edg_wll_LogConnectJobSIMPLEFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype SIMPLE
 *
 */

int edg_wll_LogConnectJobSIMPLEFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "SIMPLE");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobDAG
 *
 * edg_wll_LogConnectJobDAG - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype DAG
 *
 */

int edg_wll_LogConnectJobDAG(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "DAG");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobDAGProxy
 *
 * edg_wll_LogConnectJobDAGProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype DAG
 *
 */

int edg_wll_LogConnectJobDAGProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "DAG");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobDAGFile
 *
 * edg_wll_LogConnectJobDAGFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype DAG
 *
 */

int edg_wll_LogConnectJobDAGFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "DAG");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobPARTITIONABLE
 *
 * edg_wll_LogConnectJobPARTITIONABLE - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype PARTITIONABLE
 *
 */

int edg_wll_LogConnectJobPARTITIONABLE(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "PARTITIONABLE");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobPARTITIONABLEProxy
 *
 * edg_wll_LogConnectJobPARTITIONABLEProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype PARTITIONABLE
 *
 */

int edg_wll_LogConnectJobPARTITIONABLEProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "PARTITIONABLE");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobPARTITIONABLEFile
 *
 * edg_wll_LogConnectJobPARTITIONABLEFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype PARTITIONABLE
 *
 */

int edg_wll_LogConnectJobPARTITIONABLEFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "PARTITIONABLE");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobPARTITIONED
 *
 * edg_wll_LogConnectJobPARTITIONED - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype PARTITIONED
 *
 */

int edg_wll_LogConnectJobPARTITIONED(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "PARTITIONED");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobPARTITIONEDProxy
 *
 * edg_wll_LogConnectJobPARTITIONEDProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype PARTITIONED
 *
 */

int edg_wll_LogConnectJobPARTITIONEDProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "PARTITIONED");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobPARTITIONEDFile
 *
 * edg_wll_LogConnectJobPARTITIONEDFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype PARTITIONED
 *
 */

int edg_wll_LogConnectJobPARTITIONEDFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "PARTITIONED");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobCOLLECTION
 *
 * edg_wll_LogConnectJobCOLLECTION - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype COLLECTION
 *
 */

int edg_wll_LogConnectJobCOLLECTION(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "COLLECTION");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobCOLLECTIONProxy
 *
 * edg_wll_LogConnectJobCOLLECTIONProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype COLLECTION
 *
 */

int edg_wll_LogConnectJobCOLLECTIONProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "COLLECTION");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobCOLLECTIONFile
 *
 * edg_wll_LogConnectJobCOLLECTIONFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype COLLECTION
 *
 */

int edg_wll_LogConnectJobCOLLECTIONFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "COLLECTION");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobPBS
 *
 * edg_wll_LogConnectJobPBS - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype PBS
 *
 */

int edg_wll_LogConnectJobPBS(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "PBS");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobPBSProxy
 *
 * edg_wll_LogConnectJobPBSProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype PBS
 *
 */

int edg_wll_LogConnectJobPBSProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "PBS");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobPBSFile
 *
 * edg_wll_LogConnectJobPBSFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype PBS
 *
 */

int edg_wll_LogConnectJobPBSFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "PBS");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobCONDOR
 *
 * edg_wll_LogConnectJobCONDOR - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype CONDOR
 *
 */

int edg_wll_LogConnectJobCONDOR(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "CONDOR");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobCONDORProxy
 *
 * edg_wll_LogConnectJobCONDORProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype CONDOR
 *
 */

int edg_wll_LogConnectJobCONDORProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "CONDOR");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobCONDORFile
 *
 * edg_wll_LogConnectJobCONDORFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype CONDOR
 *
 */

int edg_wll_LogConnectJobCONDORFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "CONDOR");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobCREAM
 *
 * edg_wll_LogConnectJobCREAM - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype CREAM
 *
 */

int edg_wll_LogConnectJobCREAM(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "CREAM");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobCREAMProxy
 *
 * edg_wll_LogConnectJobCREAMProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype CREAM
 *
 */

int edg_wll_LogConnectJobCREAMProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "CREAM");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobCREAMFile
 *
 * edg_wll_LogConnectJobCREAMFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype CREAM
 *
 */

int edg_wll_LogConnectJobCREAMFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "CREAM");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobFILE_TRANSFER_COLLECTION
 *
 * edg_wll_LogConnectJobFILE_TRANSFER_COLLECTION - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype FILE_TRANSFER_COLLECTION
 *
 */

int edg_wll_LogConnectJobFILE_TRANSFER_COLLECTION(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "FILE_TRANSFER_COLLECTION");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobFILE_TRANSFER_COLLECTIONProxy
 *
 * edg_wll_LogConnectJobFILE_TRANSFER_COLLECTIONProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype FILE_TRANSFER_COLLECTION
 *
 */

int edg_wll_LogConnectJobFILE_TRANSFER_COLLECTIONProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "FILE_TRANSFER_COLLECTION");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobFILE_TRANSFER_COLLECTIONFile
 *
 * edg_wll_LogConnectJobFILE_TRANSFER_COLLECTIONFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype FILE_TRANSFER_COLLECTION
 *
 */

int edg_wll_LogConnectJobFILE_TRANSFER_COLLECTIONFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "FILE_TRANSFER_COLLECTION");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobFILE_TRANSFER
 *
 * edg_wll_LogConnectJobFILE_TRANSFER - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype FILE_TRANSFER
 *
 */

int edg_wll_LogConnectJobFILE_TRANSFER(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "FILE_TRANSFER");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobFILE_TRANSFERProxy
 *
 * edg_wll_LogConnectJobFILE_TRANSFERProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype FILE_TRANSFER
 *
 */

int edg_wll_LogConnectJobFILE_TRANSFERProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "FILE_TRANSFER");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobFILE_TRANSFERFile
 *
 * edg_wll_LogConnectJobFILE_TRANSFERFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype FILE_TRANSFER
 *
 */

int edg_wll_LogConnectJobFILE_TRANSFERFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "FILE_TRANSFER");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobVIRTUAL_MACHINE
 *
 * edg_wll_LogConnectJobVIRTUAL_MACHINE - simple wrapper around edg_wll_LogEvent for event ConnectJob, jobtype VIRTUAL_MACHINE
 *
 */

int edg_wll_LogConnectJobVIRTUAL_MACHINE(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "VIRTUAL_MACHINE");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobVIRTUAL_MACHINEProxy
 *
 * edg_wll_LogConnectJobVIRTUAL_MACHINEProxy - simple wrapper around edg_wll_LogEventProxy for event ConnectJob, jobtype VIRTUAL_MACHINE
 *
 */

int edg_wll_LogConnectJobVIRTUAL_MACHINEProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "VIRTUAL_MACHINE");

	return ret;
}

/**
 * \brief edg_wll_LogConnectJobVIRTUAL_MACHINEFile
 *
 * edg_wll_LogConnectJobVIRTUAL_MACHINEFile - simple wrapper around edg_wll_LogEventFile for event ConnectJob, jobtype VIRTUAL_MACHINE
 *
 */

int edg_wll_LogConnectJobVIRTUAL_MACHINEFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONNECTJOB,EDG_WLL_FORMAT_CONNECTJOB, dest_jobid, "VIRTUAL_MACHINE");

	return ret;
}

/**
 * \brief edg_wll_LogDisconnectJob
 *
 * edg_wll_LogDisconnectJob - simple wrapper around edg_wll_LogEvent for event DisconnectJob
 *
 */

int edg_wll_LogDisconnectJob(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_DISCONNECTJOB,EDG_WLL_FORMAT_DISCONNECTJOB, dest_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogDisconnectJobProxy
 *
 * edg_wll_LogDisconnectJobProxy - simple wrapper around edg_wll_LogEventProxy for event DisconnectJob
 *
 */

int edg_wll_LogDisconnectJobProxy(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_DISCONNECTJOB,EDG_WLL_FORMAT_DISCONNECTJOB, dest_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogDisconnectJobFile
 *
 * edg_wll_LogDisconnectJobFile - simple wrapper around edg_wll_LogEventFile for event DisconnectJob
 *
 */

int edg_wll_LogDisconnectJobFile(edg_wll_Context context, const char * dest_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_DISCONNECTJOB,EDG_WLL_FORMAT_DISCONNECTJOB, dest_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogPBSInternalStateChange
 *
 * edg_wll_LogPBSInternalStateChange - simple wrapper around edg_wll_LogEvent for event PBSInternalStateChange
 *
 */

int edg_wll_LogPBSInternalStateChange(edg_wll_Context context, const int oldstate, const int oldsubstate, const int newstate, const int newsubstate)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSINTERNALSTATECHANGE,EDG_WLL_FORMAT_PBSINTERNALSTATECHANGE, oldstate, oldsubstate, newstate, newsubstate);

	return ret;
}

/**
 * \brief edg_wll_LogPBSInternalStateChangeProxy
 *
 * edg_wll_LogPBSInternalStateChangeProxy - simple wrapper around edg_wll_LogEventProxy for event PBSInternalStateChange
 *
 */

int edg_wll_LogPBSInternalStateChangeProxy(edg_wll_Context context, const int oldstate, const int oldsubstate, const int newstate, const int newsubstate)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSINTERNALSTATECHANGE,EDG_WLL_FORMAT_PBSINTERNALSTATECHANGE, oldstate, oldsubstate, newstate, newsubstate);

	return ret;
}

/**
 * \brief edg_wll_LogPBSInternalStateChangeFile
 *
 * edg_wll_LogPBSInternalStateChangeFile - simple wrapper around edg_wll_LogEventFile for event PBSInternalStateChange
 *
 */

int edg_wll_LogPBSInternalStateChangeFile(edg_wll_Context context, const int oldstate, const int oldsubstate, const int newstate, const int newsubstate)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSINTERNALSTATECHANGE,EDG_WLL_FORMAT_PBSINTERNALSTATECHANGE, oldstate, oldsubstate, newstate, newsubstate);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransfer
 *
 * edg_wll_LogPBSTransfer - simple wrapper around edg_wll_LogEvent for event PBSTransfer
 *
 */

int edg_wll_LogPBSTransfer(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * result, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, result, reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferProxy
 *
 * edg_wll_LogPBSTransferProxy - simple wrapper around edg_wll_LogEventProxy for event PBSTransfer
 *
 */

int edg_wll_LogPBSTransferProxy(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * result, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, result, reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferFile
 *
 * edg_wll_LogPBSTransferFile - simple wrapper around edg_wll_LogEventFile for event PBSTransfer
 *
 */

int edg_wll_LogPBSTransferFile(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * result, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, result, reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferSTART
 *
 * edg_wll_LogPBSTransferSTART - simple wrapper around edg_wll_LogEvent for event PBSTransfer, result START
 *
 */

int edg_wll_LogPBSTransferSTART(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "START", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferSTARTProxy
 *
 * edg_wll_LogPBSTransferSTARTProxy - simple wrapper around edg_wll_LogEventProxy for event PBSTransfer, result START
 *
 */

int edg_wll_LogPBSTransferSTARTProxy(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "START", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferSTARTFile
 *
 * edg_wll_LogPBSTransferSTARTFile - simple wrapper around edg_wll_LogEventFile for event PBSTransfer, result START
 *
 */

int edg_wll_LogPBSTransferSTARTFile(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "START", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferOK
 *
 * edg_wll_LogPBSTransferOK - simple wrapper around edg_wll_LogEvent for event PBSTransfer, result OK
 *
 */

int edg_wll_LogPBSTransferOK(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "OK", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferOKProxy
 *
 * edg_wll_LogPBSTransferOKProxy - simple wrapper around edg_wll_LogEventProxy for event PBSTransfer, result OK
 *
 */

int edg_wll_LogPBSTransferOKProxy(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "OK", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferOKFile
 *
 * edg_wll_LogPBSTransferOKFile - simple wrapper around edg_wll_LogEventFile for event PBSTransfer, result OK
 *
 */

int edg_wll_LogPBSTransferOKFile(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "OK", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferREFUSED
 *
 * edg_wll_LogPBSTransferREFUSED - simple wrapper around edg_wll_LogEvent for event PBSTransfer, result REFUSED
 *
 */

int edg_wll_LogPBSTransferREFUSED(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "REFUSED", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferREFUSEDProxy
 *
 * edg_wll_LogPBSTransferREFUSEDProxy - simple wrapper around edg_wll_LogEventProxy for event PBSTransfer, result REFUSED
 *
 */

int edg_wll_LogPBSTransferREFUSEDProxy(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "REFUSED", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferREFUSEDFile
 *
 * edg_wll_LogPBSTransferREFUSEDFile - simple wrapper around edg_wll_LogEventFile for event PBSTransfer, result REFUSED
 *
 */

int edg_wll_LogPBSTransferREFUSEDFile(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "REFUSED", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferFAIL
 *
 * edg_wll_LogPBSTransferFAIL - simple wrapper around edg_wll_LogEvent for event PBSTransfer, result FAIL
 *
 */

int edg_wll_LogPBSTransferFAIL(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "FAIL", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferFAILProxy
 *
 * edg_wll_LogPBSTransferFAILProxy - simple wrapper around edg_wll_LogEventProxy for event PBSTransfer, result FAIL
 *
 */

int edg_wll_LogPBSTransferFAILProxy(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "FAIL", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSTransferFAILFile
 *
 * edg_wll_LogPBSTransferFAILFile - simple wrapper around edg_wll_LogEventFile for event PBSTransfer, result FAIL
 *
 */

int edg_wll_LogPBSTransferFAILFile(edg_wll_Context context, const edg_wll_Source destination, const char * dest_instance, const char * reason, const char * dest_jobid)
{
	int ret;
	char *s_destination; s_destination = edg_wll_SourceToString(destination);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSTRANSFER,EDG_WLL_FORMAT_PBSTRANSFER, s_destination, dest_instance, "FAIL", reason, dest_jobid);
	free(s_destination);

	return ret;
}

/**
 * \brief edg_wll_LogPBSAccepted
 *
 * edg_wll_LogPBSAccepted - simple wrapper around edg_wll_LogEvent for event PBSAccepted
 *
 */

int edg_wll_LogPBSAccepted(edg_wll_Context context, const edg_wll_Source from, const char * from_instance, const char * local_jobid)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSACCEPTED,EDG_WLL_FORMAT_PBSACCEPTED, s_from, from_instance, local_jobid);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogPBSAcceptedProxy
 *
 * edg_wll_LogPBSAcceptedProxy - simple wrapper around edg_wll_LogEventProxy for event PBSAccepted
 *
 */

int edg_wll_LogPBSAcceptedProxy(edg_wll_Context context, const edg_wll_Source from, const char * from_instance, const char * local_jobid)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSACCEPTED,EDG_WLL_FORMAT_PBSACCEPTED, s_from, from_instance, local_jobid);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogPBSAcceptedFile
 *
 * edg_wll_LogPBSAcceptedFile - simple wrapper around edg_wll_LogEventFile for event PBSAccepted
 *
 */

int edg_wll_LogPBSAcceptedFile(edg_wll_Context context, const edg_wll_Source from, const char * from_instance, const char * local_jobid)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSACCEPTED,EDG_WLL_FORMAT_PBSACCEPTED, s_from, from_instance, local_jobid);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogPBSRefused
 *
 * edg_wll_LogPBSRefused - simple wrapper around edg_wll_LogEvent for event PBSRefused
 *
 */

int edg_wll_LogPBSRefused(edg_wll_Context context, const edg_wll_Source from, const char * from_instance, const char * reason)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSREFUSED,EDG_WLL_FORMAT_PBSREFUSED, s_from, from_instance, reason);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogPBSRefusedProxy
 *
 * edg_wll_LogPBSRefusedProxy - simple wrapper around edg_wll_LogEventProxy for event PBSRefused
 *
 */

int edg_wll_LogPBSRefusedProxy(edg_wll_Context context, const edg_wll_Source from, const char * from_instance, const char * reason)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSREFUSED,EDG_WLL_FORMAT_PBSREFUSED, s_from, from_instance, reason);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogPBSRefusedFile
 *
 * edg_wll_LogPBSRefusedFile - simple wrapper around edg_wll_LogEventFile for event PBSRefused
 *
 */

int edg_wll_LogPBSRefusedFile(edg_wll_Context context, const edg_wll_Source from, const char * from_instance, const char * reason)
{
	int ret;
	char *s_from; s_from = edg_wll_SourceToString(from);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSREFUSED,EDG_WLL_FORMAT_PBSREFUSED, s_from, from_instance, reason);
	free(s_from);

	return ret;
}

/**
 * \brief edg_wll_LogPBSQueued
 *
 * edg_wll_LogPBSQueued - simple wrapper around edg_wll_LogEvent for event PBSQueued
 *
 */

int edg_wll_LogPBSQueued(edg_wll_Context context, const char * queue, const char * name, const char * owner)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSQUEUED,EDG_WLL_FORMAT_PBSQUEUED, queue, name, owner);

	return ret;
}

/**
 * \brief edg_wll_LogPBSQueuedProxy
 *
 * edg_wll_LogPBSQueuedProxy - simple wrapper around edg_wll_LogEventProxy for event PBSQueued
 *
 */

int edg_wll_LogPBSQueuedProxy(edg_wll_Context context, const char * queue, const char * name, const char * owner)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSQUEUED,EDG_WLL_FORMAT_PBSQUEUED, queue, name, owner);

	return ret;
}

/**
 * \brief edg_wll_LogPBSQueuedFile
 *
 * edg_wll_LogPBSQueuedFile - simple wrapper around edg_wll_LogEventFile for event PBSQueued
 *
 */

int edg_wll_LogPBSQueuedFile(edg_wll_Context context, const char * queue, const char * name, const char * owner)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSQUEUED,EDG_WLL_FORMAT_PBSQUEUED, queue, name, owner);

	return ret;
}

/**
 * \brief edg_wll_LogPBSDequeued
 *
 * edg_wll_LogPBSDequeued - simple wrapper around edg_wll_LogEvent for event PBSDequeued
 *
 */

int edg_wll_LogPBSDequeued(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSDEQUEUED,EDG_WLL_FORMAT_PBSDEQUEUED);

	return ret;
}

/**
 * \brief edg_wll_LogPBSDequeuedProxy
 *
 * edg_wll_LogPBSDequeuedProxy - simple wrapper around edg_wll_LogEventProxy for event PBSDequeued
 *
 */

int edg_wll_LogPBSDequeuedProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSDEQUEUED,EDG_WLL_FORMAT_PBSDEQUEUED);

	return ret;
}

/**
 * \brief edg_wll_LogPBSDequeuedFile
 *
 * edg_wll_LogPBSDequeuedFile - simple wrapper around edg_wll_LogEventFile for event PBSDequeued
 *
 */

int edg_wll_LogPBSDequeuedFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSDEQUEUED,EDG_WLL_FORMAT_PBSDEQUEUED);

	return ret;
}

/**
 * \brief edg_wll_LogPBSMatch
 *
 * edg_wll_LogPBSMatch - simple wrapper around edg_wll_LogEvent for event PBSMatch
 *
 */

int edg_wll_LogPBSMatch(edg_wll_Context context, const char * dest_host)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSMATCH,EDG_WLL_FORMAT_PBSMATCH, dest_host);

	return ret;
}

/**
 * \brief edg_wll_LogPBSMatchProxy
 *
 * edg_wll_LogPBSMatchProxy - simple wrapper around edg_wll_LogEventProxy for event PBSMatch
 *
 */

int edg_wll_LogPBSMatchProxy(edg_wll_Context context, const char * dest_host)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSMATCH,EDG_WLL_FORMAT_PBSMATCH, dest_host);

	return ret;
}

/**
 * \brief edg_wll_LogPBSMatchFile
 *
 * edg_wll_LogPBSMatchFile - simple wrapper around edg_wll_LogEventFile for event PBSMatch
 *
 */

int edg_wll_LogPBSMatchFile(edg_wll_Context context, const char * dest_host)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSMATCH,EDG_WLL_FORMAT_PBSMATCH, dest_host);

	return ret;
}

/**
 * \brief edg_wll_LogPBSPending
 *
 * edg_wll_LogPBSPending - simple wrapper around edg_wll_LogEvent for event PBSPending
 *
 */

int edg_wll_LogPBSPending(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSPENDING,EDG_WLL_FORMAT_PBSPENDING, reason);

	return ret;
}

/**
 * \brief edg_wll_LogPBSPendingProxy
 *
 * edg_wll_LogPBSPendingProxy - simple wrapper around edg_wll_LogEventProxy for event PBSPending
 *
 */

int edg_wll_LogPBSPendingProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSPENDING,EDG_WLL_FORMAT_PBSPENDING, reason);

	return ret;
}

/**
 * \brief edg_wll_LogPBSPendingFile
 *
 * edg_wll_LogPBSPendingFile - simple wrapper around edg_wll_LogEventFile for event PBSPending
 *
 */

int edg_wll_LogPBSPendingFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSPENDING,EDG_WLL_FORMAT_PBSPENDING, reason);

	return ret;
}

/**
 * \brief edg_wll_LogPBSWaiting
 *
 * edg_wll_LogPBSWaiting - simple wrapper around edg_wll_LogEvent for event PBSWaiting
 *
 */

int edg_wll_LogPBSWaiting(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSWAITING,EDG_WLL_FORMAT_PBSWAITING);

	return ret;
}

/**
 * \brief edg_wll_LogPBSWaitingProxy
 *
 * edg_wll_LogPBSWaitingProxy - simple wrapper around edg_wll_LogEventProxy for event PBSWaiting
 *
 */

int edg_wll_LogPBSWaitingProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSWAITING,EDG_WLL_FORMAT_PBSWAITING);

	return ret;
}

/**
 * \brief edg_wll_LogPBSWaitingFile
 *
 * edg_wll_LogPBSWaitingFile - simple wrapper around edg_wll_LogEventFile for event PBSWaiting
 *
 */

int edg_wll_LogPBSWaitingFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSWAITING,EDG_WLL_FORMAT_PBSWAITING);

	return ret;
}

/**
 * \brief edg_wll_LogPBSRun
 *
 * edg_wll_LogPBSRun - simple wrapper around edg_wll_LogEvent for event PBSRun
 *
 */

int edg_wll_LogPBSRun(edg_wll_Context context, const char * scheduler, const char * dest_host, const int pid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSRUN,EDG_WLL_FORMAT_PBSRUN, scheduler, dest_host, pid);

	return ret;
}

/**
 * \brief edg_wll_LogPBSRunProxy
 *
 * edg_wll_LogPBSRunProxy - simple wrapper around edg_wll_LogEventProxy for event PBSRun
 *
 */

int edg_wll_LogPBSRunProxy(edg_wll_Context context, const char * scheduler, const char * dest_host, const int pid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSRUN,EDG_WLL_FORMAT_PBSRUN, scheduler, dest_host, pid);

	return ret;
}

/**
 * \brief edg_wll_LogPBSRunFile
 *
 * edg_wll_LogPBSRunFile - simple wrapper around edg_wll_LogEventFile for event PBSRun
 *
 */

int edg_wll_LogPBSRunFile(edg_wll_Context context, const char * scheduler, const char * dest_host, const int pid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSRUN,EDG_WLL_FORMAT_PBSRUN, scheduler, dest_host, pid);

	return ret;
}

/**
 * \brief edg_wll_LogPBSRerun
 *
 * edg_wll_LogPBSRerun - simple wrapper around edg_wll_LogEvent for event PBSRerun
 *
 */

int edg_wll_LogPBSRerun(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSRERUN,EDG_WLL_FORMAT_PBSRERUN);

	return ret;
}

/**
 * \brief edg_wll_LogPBSRerunProxy
 *
 * edg_wll_LogPBSRerunProxy - simple wrapper around edg_wll_LogEventProxy for event PBSRerun
 *
 */

int edg_wll_LogPBSRerunProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSRERUN,EDG_WLL_FORMAT_PBSRERUN);

	return ret;
}

/**
 * \brief edg_wll_LogPBSRerunFile
 *
 * edg_wll_LogPBSRerunFile - simple wrapper around edg_wll_LogEventFile for event PBSRerun
 *
 */

int edg_wll_LogPBSRerunFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSRERUN,EDG_WLL_FORMAT_PBSRERUN);

	return ret;
}

/**
 * \brief edg_wll_LogPBSAbort
 *
 * edg_wll_LogPBSAbort - simple wrapper around edg_wll_LogEvent for event PBSAbort
 *
 */

int edg_wll_LogPBSAbort(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSABORT,EDG_WLL_FORMAT_PBSABORT);

	return ret;
}

/**
 * \brief edg_wll_LogPBSAbortProxy
 *
 * edg_wll_LogPBSAbortProxy - simple wrapper around edg_wll_LogEventProxy for event PBSAbort
 *
 */

int edg_wll_LogPBSAbortProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSABORT,EDG_WLL_FORMAT_PBSABORT);

	return ret;
}

/**
 * \brief edg_wll_LogPBSAbortFile
 *
 * edg_wll_LogPBSAbortFile - simple wrapper around edg_wll_LogEventFile for event PBSAbort
 *
 */

int edg_wll_LogPBSAbortFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSABORT,EDG_WLL_FORMAT_PBSABORT);

	return ret;
}

/**
 * \brief edg_wll_LogPBSDone
 *
 * edg_wll_LogPBSDone - simple wrapper around edg_wll_LogEvent for event PBSDone
 *
 */

int edg_wll_LogPBSDone(edg_wll_Context context, const int exit_status)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSDONE,EDG_WLL_FORMAT_PBSDONE, exit_status);

	return ret;
}

/**
 * \brief edg_wll_LogPBSDoneProxy
 *
 * edg_wll_LogPBSDoneProxy - simple wrapper around edg_wll_LogEventProxy for event PBSDone
 *
 */

int edg_wll_LogPBSDoneProxy(edg_wll_Context context, const int exit_status)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSDONE,EDG_WLL_FORMAT_PBSDONE, exit_status);

	return ret;
}

/**
 * \brief edg_wll_LogPBSDoneFile
 *
 * edg_wll_LogPBSDoneFile - simple wrapper around edg_wll_LogEventFile for event PBSDone
 *
 */

int edg_wll_LogPBSDoneFile(edg_wll_Context context, const int exit_status)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSDONE,EDG_WLL_FORMAT_PBSDONE, exit_status);

	return ret;
}

/**
 * \brief edg_wll_LogPBSResourceUsage
 *
 * edg_wll_LogPBSResourceUsage - simple wrapper around edg_wll_LogEvent for event PBSResourceUsage
 *
 */

int edg_wll_LogPBSResourceUsage(edg_wll_Context context, const char * usage, const edg_wll_TagValue * resources)
{
	int ret;
	char *s_resources; s_resources = edg_wll_TagListToString(resources);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSRESOURCEUSAGE,EDG_WLL_FORMAT_PBSRESOURCEUSAGE, usage, s_resources);
	free(s_resources);

	return ret;
}

/**
 * \brief edg_wll_LogPBSResourceUsageProxy
 *
 * edg_wll_LogPBSResourceUsageProxy - simple wrapper around edg_wll_LogEventProxy for event PBSResourceUsage
 *
 */

int edg_wll_LogPBSResourceUsageProxy(edg_wll_Context context, const char * usage, const edg_wll_TagValue * resources)
{
	int ret;
	char *s_resources; s_resources = edg_wll_TagListToString(resources);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSRESOURCEUSAGE,EDG_WLL_FORMAT_PBSRESOURCEUSAGE, usage, s_resources);
	free(s_resources);

	return ret;
}

/**
 * \brief edg_wll_LogPBSResourceUsageFile
 *
 * edg_wll_LogPBSResourceUsageFile - simple wrapper around edg_wll_LogEventFile for event PBSResourceUsage
 *
 */

int edg_wll_LogPBSResourceUsageFile(edg_wll_Context context, const char * usage, const edg_wll_TagValue * resources)
{
	int ret;
	char *s_resources; s_resources = edg_wll_TagListToString(resources);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSRESOURCEUSAGE,EDG_WLL_FORMAT_PBSRESOURCEUSAGE, usage, s_resources);
	free(s_resources);

	return ret;
}

/**
 * \brief edg_wll_LogPBSResourceUsageREQUESTED
 *
 * edg_wll_LogPBSResourceUsageREQUESTED - simple wrapper around edg_wll_LogEvent for event PBSResourceUsage, usage REQUESTED
 *
 */

int edg_wll_LogPBSResourceUsageREQUESTED(edg_wll_Context context, const edg_wll_TagValue * resources)
{
	int ret;
	char *s_resources; s_resources = edg_wll_TagListToString(resources);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSRESOURCEUSAGE,EDG_WLL_FORMAT_PBSRESOURCEUSAGE, "REQUESTED", s_resources);
	free(s_resources);

	return ret;
}

/**
 * \brief edg_wll_LogPBSResourceUsageREQUESTEDProxy
 *
 * edg_wll_LogPBSResourceUsageREQUESTEDProxy - simple wrapper around edg_wll_LogEventProxy for event PBSResourceUsage, usage REQUESTED
 *
 */

int edg_wll_LogPBSResourceUsageREQUESTEDProxy(edg_wll_Context context, const edg_wll_TagValue * resources)
{
	int ret;
	char *s_resources; s_resources = edg_wll_TagListToString(resources);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSRESOURCEUSAGE,EDG_WLL_FORMAT_PBSRESOURCEUSAGE, "REQUESTED", s_resources);
	free(s_resources);

	return ret;
}

/**
 * \brief edg_wll_LogPBSResourceUsageREQUESTEDFile
 *
 * edg_wll_LogPBSResourceUsageREQUESTEDFile - simple wrapper around edg_wll_LogEventFile for event PBSResourceUsage, usage REQUESTED
 *
 */

int edg_wll_LogPBSResourceUsageREQUESTEDFile(edg_wll_Context context, const edg_wll_TagValue * resources)
{
	int ret;
	char *s_resources; s_resources = edg_wll_TagListToString(resources);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSRESOURCEUSAGE,EDG_WLL_FORMAT_PBSRESOURCEUSAGE, "REQUESTED", s_resources);
	free(s_resources);

	return ret;
}

/**
 * \brief edg_wll_LogPBSResourceUsageUSED
 *
 * edg_wll_LogPBSResourceUsageUSED - simple wrapper around edg_wll_LogEvent for event PBSResourceUsage, usage USED
 *
 */

int edg_wll_LogPBSResourceUsageUSED(edg_wll_Context context, const edg_wll_TagValue * resources)
{
	int ret;
	char *s_resources; s_resources = edg_wll_TagListToString(resources);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSRESOURCEUSAGE,EDG_WLL_FORMAT_PBSRESOURCEUSAGE, "USED", s_resources);
	free(s_resources);

	return ret;
}

/**
 * \brief edg_wll_LogPBSResourceUsageUSEDProxy
 *
 * edg_wll_LogPBSResourceUsageUSEDProxy - simple wrapper around edg_wll_LogEventProxy for event PBSResourceUsage, usage USED
 *
 */

int edg_wll_LogPBSResourceUsageUSEDProxy(edg_wll_Context context, const edg_wll_TagValue * resources)
{
	int ret;
	char *s_resources; s_resources = edg_wll_TagListToString(resources);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSRESOURCEUSAGE,EDG_WLL_FORMAT_PBSRESOURCEUSAGE, "USED", s_resources);
	free(s_resources);

	return ret;
}

/**
 * \brief edg_wll_LogPBSResourceUsageUSEDFile
 *
 * edg_wll_LogPBSResourceUsageUSEDFile - simple wrapper around edg_wll_LogEventFile for event PBSResourceUsage, usage USED
 *
 */

int edg_wll_LogPBSResourceUsageUSEDFile(edg_wll_Context context, const edg_wll_TagValue * resources)
{
	int ret;
	char *s_resources; s_resources = edg_wll_TagListToString(resources);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSRESOURCEUSAGE,EDG_WLL_FORMAT_PBSRESOURCEUSAGE, "USED", s_resources);
	free(s_resources);

	return ret;
}

/**
 * \brief edg_wll_LogPBSError
 *
 * edg_wll_LogPBSError - simple wrapper around edg_wll_LogEvent for event PBSError
 *
 */

int edg_wll_LogPBSError(edg_wll_Context context, const char * error_desc)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_PBSERROR,EDG_WLL_FORMAT_PBSERROR, error_desc);

	return ret;
}

/**
 * \brief edg_wll_LogPBSErrorProxy
 *
 * edg_wll_LogPBSErrorProxy - simple wrapper around edg_wll_LogEventProxy for event PBSError
 *
 */

int edg_wll_LogPBSErrorProxy(edg_wll_Context context, const char * error_desc)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_PBSERROR,EDG_WLL_FORMAT_PBSERROR, error_desc);

	return ret;
}

/**
 * \brief edg_wll_LogPBSErrorFile
 *
 * edg_wll_LogPBSErrorFile - simple wrapper around edg_wll_LogEventFile for event PBSError
 *
 */

int edg_wll_LogPBSErrorFile(edg_wll_Context context, const char * error_desc)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_PBSERROR,EDG_WLL_FORMAT_PBSERROR, error_desc);

	return ret;
}

/**
 * \brief edg_wll_LogCondorMatch
 *
 * edg_wll_LogCondorMatch - simple wrapper around edg_wll_LogEvent for event CondorMatch
 *
 */

int edg_wll_LogCondorMatch(edg_wll_Context context, const char * owner, const char * dest_host, const char * preempting)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORMATCH,EDG_WLL_FORMAT_CONDORMATCH, owner, dest_host, preempting);

	return ret;
}

/**
 * \brief edg_wll_LogCondorMatchProxy
 *
 * edg_wll_LogCondorMatchProxy - simple wrapper around edg_wll_LogEventProxy for event CondorMatch
 *
 */

int edg_wll_LogCondorMatchProxy(edg_wll_Context context, const char * owner, const char * dest_host, const char * preempting)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORMATCH,EDG_WLL_FORMAT_CONDORMATCH, owner, dest_host, preempting);

	return ret;
}

/**
 * \brief edg_wll_LogCondorMatchFile
 *
 * edg_wll_LogCondorMatchFile - simple wrapper around edg_wll_LogEventFile for event CondorMatch
 *
 */

int edg_wll_LogCondorMatchFile(edg_wll_Context context, const char * owner, const char * dest_host, const char * preempting)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORMATCH,EDG_WLL_FORMAT_CONDORMATCH, owner, dest_host, preempting);

	return ret;
}

/**
 * \brief edg_wll_LogCondorReject
 *
 * edg_wll_LogCondorReject - simple wrapper around edg_wll_LogEvent for event CondorReject
 *
 */

int edg_wll_LogCondorReject(edg_wll_Context context, const char * owner, const char * status_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORREJECT,EDG_WLL_FORMAT_CONDORREJECT, owner, status_code);

	return ret;
}

/**
 * \brief edg_wll_LogCondorRejectProxy
 *
 * edg_wll_LogCondorRejectProxy - simple wrapper around edg_wll_LogEventProxy for event CondorReject
 *
 */

int edg_wll_LogCondorRejectProxy(edg_wll_Context context, const char * owner, const char * status_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORREJECT,EDG_WLL_FORMAT_CONDORREJECT, owner, status_code);

	return ret;
}

/**
 * \brief edg_wll_LogCondorRejectFile
 *
 * edg_wll_LogCondorRejectFile - simple wrapper around edg_wll_LogEventFile for event CondorReject
 *
 */

int edg_wll_LogCondorRejectFile(edg_wll_Context context, const char * owner, const char * status_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORREJECT,EDG_WLL_FORMAT_CONDORREJECT, owner, status_code);

	return ret;
}

/**
 * \brief edg_wll_LogCondorRejectNOMATCH
 *
 * edg_wll_LogCondorRejectNOMATCH - simple wrapper around edg_wll_LogEvent for event CondorReject, status_code NOMATCH
 *
 */

int edg_wll_LogCondorRejectNOMATCH(edg_wll_Context context, const char * owner)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORREJECT,EDG_WLL_FORMAT_CONDORREJECT, owner, "NOMATCH");

	return ret;
}

/**
 * \brief edg_wll_LogCondorRejectNOMATCHProxy
 *
 * edg_wll_LogCondorRejectNOMATCHProxy - simple wrapper around edg_wll_LogEventProxy for event CondorReject, status_code NOMATCH
 *
 */

int edg_wll_LogCondorRejectNOMATCHProxy(edg_wll_Context context, const char * owner)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORREJECT,EDG_WLL_FORMAT_CONDORREJECT, owner, "NOMATCH");

	return ret;
}

/**
 * \brief edg_wll_LogCondorRejectNOMATCHFile
 *
 * edg_wll_LogCondorRejectNOMATCHFile - simple wrapper around edg_wll_LogEventFile for event CondorReject, status_code NOMATCH
 *
 */

int edg_wll_LogCondorRejectNOMATCHFile(edg_wll_Context context, const char * owner)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORREJECT,EDG_WLL_FORMAT_CONDORREJECT, owner, "NOMATCH");

	return ret;
}

/**
 * \brief edg_wll_LogCondorRejectOTHER
 *
 * edg_wll_LogCondorRejectOTHER - simple wrapper around edg_wll_LogEvent for event CondorReject, status_code OTHER
 *
 */

int edg_wll_LogCondorRejectOTHER(edg_wll_Context context, const char * owner)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORREJECT,EDG_WLL_FORMAT_CONDORREJECT, owner, "OTHER");

	return ret;
}

/**
 * \brief edg_wll_LogCondorRejectOTHERProxy
 *
 * edg_wll_LogCondorRejectOTHERProxy - simple wrapper around edg_wll_LogEventProxy for event CondorReject, status_code OTHER
 *
 */

int edg_wll_LogCondorRejectOTHERProxy(edg_wll_Context context, const char * owner)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORREJECT,EDG_WLL_FORMAT_CONDORREJECT, owner, "OTHER");

	return ret;
}

/**
 * \brief edg_wll_LogCondorRejectOTHERFile
 *
 * edg_wll_LogCondorRejectOTHERFile - simple wrapper around edg_wll_LogEventFile for event CondorReject, status_code OTHER
 *
 */

int edg_wll_LogCondorRejectOTHERFile(edg_wll_Context context, const char * owner)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORREJECT,EDG_WLL_FORMAT_CONDORREJECT, owner, "OTHER");

	return ret;
}

/**
 * \brief edg_wll_LogCondorShadowStarted
 *
 * edg_wll_LogCondorShadowStarted - simple wrapper around edg_wll_LogEvent for event CondorShadowStarted
 *
 */

int edg_wll_LogCondorShadowStarted(edg_wll_Context context, const char * shadow_host, const uint16_t shadow_port, const int shadow_pid, const char * shadow_status)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORSHADOWSTARTED,EDG_WLL_FORMAT_CONDORSHADOWSTARTED, shadow_host, shadow_port, shadow_pid, shadow_status);

	return ret;
}

/**
 * \brief edg_wll_LogCondorShadowStartedProxy
 *
 * edg_wll_LogCondorShadowStartedProxy - simple wrapper around edg_wll_LogEventProxy for event CondorShadowStarted
 *
 */

int edg_wll_LogCondorShadowStartedProxy(edg_wll_Context context, const char * shadow_host, const uint16_t shadow_port, const int shadow_pid, const char * shadow_status)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORSHADOWSTARTED,EDG_WLL_FORMAT_CONDORSHADOWSTARTED, shadow_host, shadow_port, shadow_pid, shadow_status);

	return ret;
}

/**
 * \brief edg_wll_LogCondorShadowStartedFile
 *
 * edg_wll_LogCondorShadowStartedFile - simple wrapper around edg_wll_LogEventFile for event CondorShadowStarted
 *
 */

int edg_wll_LogCondorShadowStartedFile(edg_wll_Context context, const char * shadow_host, const uint16_t shadow_port, const int shadow_pid, const char * shadow_status)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORSHADOWSTARTED,EDG_WLL_FORMAT_CONDORSHADOWSTARTED, shadow_host, shadow_port, shadow_pid, shadow_status);

	return ret;
}

/**
 * \brief edg_wll_LogCondorShadowExited
 *
 * edg_wll_LogCondorShadowExited - simple wrapper around edg_wll_LogEvent for event CondorShadowExited
 *
 */

int edg_wll_LogCondorShadowExited(edg_wll_Context context, const int shadow_pid, const int shadow_exit_status)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORSHADOWEXITED,EDG_WLL_FORMAT_CONDORSHADOWEXITED, shadow_pid, shadow_exit_status);

	return ret;
}

/**
 * \brief edg_wll_LogCondorShadowExitedProxy
 *
 * edg_wll_LogCondorShadowExitedProxy - simple wrapper around edg_wll_LogEventProxy for event CondorShadowExited
 *
 */

int edg_wll_LogCondorShadowExitedProxy(edg_wll_Context context, const int shadow_pid, const int shadow_exit_status)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORSHADOWEXITED,EDG_WLL_FORMAT_CONDORSHADOWEXITED, shadow_pid, shadow_exit_status);

	return ret;
}

/**
 * \brief edg_wll_LogCondorShadowExitedFile
 *
 * edg_wll_LogCondorShadowExitedFile - simple wrapper around edg_wll_LogEventFile for event CondorShadowExited
 *
 */

int edg_wll_LogCondorShadowExitedFile(edg_wll_Context context, const int shadow_pid, const int shadow_exit_status)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORSHADOWEXITED,EDG_WLL_FORMAT_CONDORSHADOWEXITED, shadow_pid, shadow_exit_status);

	return ret;
}

/**
 * \brief edg_wll_LogCondorStarterStarted
 *
 * edg_wll_LogCondorStarterStarted - simple wrapper around edg_wll_LogEvent for event CondorStarterStarted
 *
 */

int edg_wll_LogCondorStarterStarted(edg_wll_Context context, const int starter_pid, const char * universe)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORSTARTERSTARTED,EDG_WLL_FORMAT_CONDORSTARTERSTARTED, starter_pid, universe);

	return ret;
}

/**
 * \brief edg_wll_LogCondorStarterStartedProxy
 *
 * edg_wll_LogCondorStarterStartedProxy - simple wrapper around edg_wll_LogEventProxy for event CondorStarterStarted
 *
 */

int edg_wll_LogCondorStarterStartedProxy(edg_wll_Context context, const int starter_pid, const char * universe)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORSTARTERSTARTED,EDG_WLL_FORMAT_CONDORSTARTERSTARTED, starter_pid, universe);

	return ret;
}

/**
 * \brief edg_wll_LogCondorStarterStartedFile
 *
 * edg_wll_LogCondorStarterStartedFile - simple wrapper around edg_wll_LogEventFile for event CondorStarterStarted
 *
 */

int edg_wll_LogCondorStarterStartedFile(edg_wll_Context context, const int starter_pid, const char * universe)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORSTARTERSTARTED,EDG_WLL_FORMAT_CONDORSTARTERSTARTED, starter_pid, universe);

	return ret;
}

/**
 * \brief edg_wll_LogCondorStarterExited
 *
 * edg_wll_LogCondorStarterExited - simple wrapper around edg_wll_LogEvent for event CondorStarterExited
 *
 */

int edg_wll_LogCondorStarterExited(edg_wll_Context context, const int starter_pid, const int starter_exit_status, const int job_pid, const int job_exit_status)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORSTARTEREXITED,EDG_WLL_FORMAT_CONDORSTARTEREXITED, starter_pid, starter_exit_status, job_pid, job_exit_status);

	return ret;
}

/**
 * \brief edg_wll_LogCondorStarterExitedProxy
 *
 * edg_wll_LogCondorStarterExitedProxy - simple wrapper around edg_wll_LogEventProxy for event CondorStarterExited
 *
 */

int edg_wll_LogCondorStarterExitedProxy(edg_wll_Context context, const int starter_pid, const int starter_exit_status, const int job_pid, const int job_exit_status)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORSTARTEREXITED,EDG_WLL_FORMAT_CONDORSTARTEREXITED, starter_pid, starter_exit_status, job_pid, job_exit_status);

	return ret;
}

/**
 * \brief edg_wll_LogCondorStarterExitedFile
 *
 * edg_wll_LogCondorStarterExitedFile - simple wrapper around edg_wll_LogEventFile for event CondorStarterExited
 *
 */

int edg_wll_LogCondorStarterExitedFile(edg_wll_Context context, const int starter_pid, const int starter_exit_status, const int job_pid, const int job_exit_status)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORSTARTEREXITED,EDG_WLL_FORMAT_CONDORSTARTEREXITED, starter_pid, starter_exit_status, job_pid, job_exit_status);

	return ret;
}

/**
 * \brief edg_wll_LogCondorResourceUsage
 *
 * edg_wll_LogCondorResourceUsage - simple wrapper around edg_wll_LogEvent for event CondorResourceUsage
 *
 */

int edg_wll_LogCondorResourceUsage(edg_wll_Context context, const char * usage, const char * name, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORRESOURCEUSAGE,EDG_WLL_FORMAT_CONDORRESOURCEUSAGE, usage, name, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogCondorResourceUsageProxy
 *
 * edg_wll_LogCondorResourceUsageProxy - simple wrapper around edg_wll_LogEventProxy for event CondorResourceUsage
 *
 */

int edg_wll_LogCondorResourceUsageProxy(edg_wll_Context context, const char * usage, const char * name, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORRESOURCEUSAGE,EDG_WLL_FORMAT_CONDORRESOURCEUSAGE, usage, name, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogCondorResourceUsageFile
 *
 * edg_wll_LogCondorResourceUsageFile - simple wrapper around edg_wll_LogEventFile for event CondorResourceUsage
 *
 */

int edg_wll_LogCondorResourceUsageFile(edg_wll_Context context, const char * usage, const char * name, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORRESOURCEUSAGE,EDG_WLL_FORMAT_CONDORRESOURCEUSAGE, usage, name, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogCondorResourceUsageREQUESTED
 *
 * edg_wll_LogCondorResourceUsageREQUESTED - simple wrapper around edg_wll_LogEvent for event CondorResourceUsage, usage REQUESTED
 *
 */

int edg_wll_LogCondorResourceUsageREQUESTED(edg_wll_Context context, const char * name, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORRESOURCEUSAGE,EDG_WLL_FORMAT_CONDORRESOURCEUSAGE, "REQUESTED", name, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogCondorResourceUsageREQUESTEDProxy
 *
 * edg_wll_LogCondorResourceUsageREQUESTEDProxy - simple wrapper around edg_wll_LogEventProxy for event CondorResourceUsage, usage REQUESTED
 *
 */

int edg_wll_LogCondorResourceUsageREQUESTEDProxy(edg_wll_Context context, const char * name, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORRESOURCEUSAGE,EDG_WLL_FORMAT_CONDORRESOURCEUSAGE, "REQUESTED", name, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogCondorResourceUsageREQUESTEDFile
 *
 * edg_wll_LogCondorResourceUsageREQUESTEDFile - simple wrapper around edg_wll_LogEventFile for event CondorResourceUsage, usage REQUESTED
 *
 */

int edg_wll_LogCondorResourceUsageREQUESTEDFile(edg_wll_Context context, const char * name, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORRESOURCEUSAGE,EDG_WLL_FORMAT_CONDORRESOURCEUSAGE, "REQUESTED", name, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogCondorResourceUsageUSED
 *
 * edg_wll_LogCondorResourceUsageUSED - simple wrapper around edg_wll_LogEvent for event CondorResourceUsage, usage USED
 *
 */

int edg_wll_LogCondorResourceUsageUSED(edg_wll_Context context, const char * name, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORRESOURCEUSAGE,EDG_WLL_FORMAT_CONDORRESOURCEUSAGE, "USED", name, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogCondorResourceUsageUSEDProxy
 *
 * edg_wll_LogCondorResourceUsageUSEDProxy - simple wrapper around edg_wll_LogEventProxy for event CondorResourceUsage, usage USED
 *
 */

int edg_wll_LogCondorResourceUsageUSEDProxy(edg_wll_Context context, const char * name, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORRESOURCEUSAGE,EDG_WLL_FORMAT_CONDORRESOURCEUSAGE, "USED", name, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogCondorResourceUsageUSEDFile
 *
 * edg_wll_LogCondorResourceUsageUSEDFile - simple wrapper around edg_wll_LogEventFile for event CondorResourceUsage, usage USED
 *
 */

int edg_wll_LogCondorResourceUsageUSEDFile(edg_wll_Context context, const char * name, const double quantity, const char * unit)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORRESOURCEUSAGE,EDG_WLL_FORMAT_CONDORRESOURCEUSAGE, "USED", name, quantity, unit);

	return ret;
}

/**
 * \brief edg_wll_LogCondorError
 *
 * edg_wll_LogCondorError - simple wrapper around edg_wll_LogEvent for event CondorError
 *
 */

int edg_wll_LogCondorError(edg_wll_Context context, const char * error_desc)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CONDORERROR,EDG_WLL_FORMAT_CONDORERROR, error_desc);

	return ret;
}

/**
 * \brief edg_wll_LogCondorErrorProxy
 *
 * edg_wll_LogCondorErrorProxy - simple wrapper around edg_wll_LogEventProxy for event CondorError
 *
 */

int edg_wll_LogCondorErrorProxy(edg_wll_Context context, const char * error_desc)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CONDORERROR,EDG_WLL_FORMAT_CONDORERROR, error_desc);

	return ret;
}

/**
 * \brief edg_wll_LogCondorErrorFile
 *
 * edg_wll_LogCondorErrorFile - simple wrapper around edg_wll_LogEventFile for event CondorError
 *
 */

int edg_wll_LogCondorErrorFile(edg_wll_Context context, const char * error_desc)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CONDORERROR,EDG_WLL_FORMAT_CONDORERROR, error_desc);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStart
 *
 * edg_wll_LogCREAMStart - simple wrapper around edg_wll_LogEvent for event CREAMStart
 *
 */

int edg_wll_LogCREAMStart(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTART,EDG_WLL_FORMAT_CREAMSTART);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStartProxy
 *
 * edg_wll_LogCREAMStartProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStart
 *
 */

int edg_wll_LogCREAMStartProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTART,EDG_WLL_FORMAT_CREAMSTART);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStartFile
 *
 * edg_wll_LogCREAMStartFile - simple wrapper around edg_wll_LogEventFile for event CREAMStart
 *
 */

int edg_wll_LogCREAMStartFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTART,EDG_WLL_FORMAT_CREAMSTART);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMPurge
 *
 * edg_wll_LogCREAMPurge - simple wrapper around edg_wll_LogEvent for event CREAMPurge
 *
 */

int edg_wll_LogCREAMPurge(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMPURGE,EDG_WLL_FORMAT_CREAMPURGE);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMPurgeProxy
 *
 * edg_wll_LogCREAMPurgeProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMPurge
 *
 */

int edg_wll_LogCREAMPurgeProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMPURGE,EDG_WLL_FORMAT_CREAMPURGE);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMPurgeFile
 *
 * edg_wll_LogCREAMPurgeFile - simple wrapper around edg_wll_LogEventFile for event CREAMPurge
 *
 */

int edg_wll_LogCREAMPurgeFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMPURGE,EDG_WLL_FORMAT_CREAMPURGE);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMAccepted
 *
 * edg_wll_LogCREAMAccepted - simple wrapper around edg_wll_LogEvent for event CREAMAccepted
 *
 */

int edg_wll_LogCREAMAccepted(edg_wll_Context context, const char * local_jobid)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMACCEPTED,EDG_WLL_FORMAT_CREAMACCEPTED, local_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMAcceptedProxy
 *
 * edg_wll_LogCREAMAcceptedProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMAccepted
 *
 */

int edg_wll_LogCREAMAcceptedProxy(edg_wll_Context context, const char * local_jobid)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMACCEPTED,EDG_WLL_FORMAT_CREAMACCEPTED, local_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMAcceptedFile
 *
 * edg_wll_LogCREAMAcceptedFile - simple wrapper around edg_wll_LogEventFile for event CREAMAccepted
 *
 */

int edg_wll_LogCREAMAcceptedFile(edg_wll_Context context, const char * local_jobid)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMACCEPTED,EDG_WLL_FORMAT_CREAMACCEPTED, local_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStore
 *
 * edg_wll_LogCREAMStore - simple wrapper around edg_wll_LogEvent for event CREAMStore
 *
 */

int edg_wll_LogCREAMStore(edg_wll_Context context, const char * command, const char * cmdid, const char * result, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, command, cmdid, result, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreProxy
 *
 * edg_wll_LogCREAMStoreProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStore
 *
 */

int edg_wll_LogCREAMStoreProxy(edg_wll_Context context, const char * command, const char * cmdid, const char * result, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, command, cmdid, result, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreFile
 *
 * edg_wll_LogCREAMStoreFile - simple wrapper around edg_wll_LogEventFile for event CREAMStore
 *
 */

int edg_wll_LogCREAMStoreFile(edg_wll_Context context, const char * command, const char * cmdid, const char * result, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, command, cmdid, result, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDSTART
 *
 * edg_wll_LogCREAMStoreCMDSTART - simple wrapper around edg_wll_LogEvent for event CREAMStore, command CMDSTART
 *
 */

int edg_wll_LogCREAMStoreCMDSTART(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDSTART", cmdid, "CMDSTART", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDSTARTProxy
 *
 * edg_wll_LogCREAMStoreCMDSTARTProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStore, command CMDSTART
 *
 */

int edg_wll_LogCREAMStoreCMDSTARTProxy(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDSTART", cmdid, "CMDSTART", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDSTARTFile
 *
 * edg_wll_LogCREAMStoreCMDSTARTFile - simple wrapper around edg_wll_LogEventFile for event CREAMStore, command CMDSTART
 *
 */

int edg_wll_LogCREAMStoreCMDSTARTFile(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDSTART", cmdid, "CMDSTART", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDCANCEL
 *
 * edg_wll_LogCREAMStoreCMDCANCEL - simple wrapper around edg_wll_LogEvent for event CREAMStore, command CMDCANCEL
 *
 */

int edg_wll_LogCREAMStoreCMDCANCEL(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDCANCEL", cmdid, "CMDCANCEL", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDCANCELProxy
 *
 * edg_wll_LogCREAMStoreCMDCANCELProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStore, command CMDCANCEL
 *
 */

int edg_wll_LogCREAMStoreCMDCANCELProxy(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDCANCEL", cmdid, "CMDCANCEL", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDCANCELFile
 *
 * edg_wll_LogCREAMStoreCMDCANCELFile - simple wrapper around edg_wll_LogEventFile for event CREAMStore, command CMDCANCEL
 *
 */

int edg_wll_LogCREAMStoreCMDCANCELFile(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDCANCEL", cmdid, "CMDCANCEL", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDPURGE
 *
 * edg_wll_LogCREAMStoreCMDPURGE - simple wrapper around edg_wll_LogEvent for event CREAMStore, command CMDPURGE
 *
 */

int edg_wll_LogCREAMStoreCMDPURGE(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDPURGE", cmdid, "CMDPURGE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDPURGEProxy
 *
 * edg_wll_LogCREAMStoreCMDPURGEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStore, command CMDPURGE
 *
 */

int edg_wll_LogCREAMStoreCMDPURGEProxy(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDPURGE", cmdid, "CMDPURGE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDPURGEFile
 *
 * edg_wll_LogCREAMStoreCMDPURGEFile - simple wrapper around edg_wll_LogEventFile for event CREAMStore, command CMDPURGE
 *
 */

int edg_wll_LogCREAMStoreCMDPURGEFile(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDPURGE", cmdid, "CMDPURGE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDSUSPEND
 *
 * edg_wll_LogCREAMStoreCMDSUSPEND - simple wrapper around edg_wll_LogEvent for event CREAMStore, command CMDSUSPEND
 *
 */

int edg_wll_LogCREAMStoreCMDSUSPEND(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDSUSPEND", cmdid, "CMDSUSPEND", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDSUSPENDProxy
 *
 * edg_wll_LogCREAMStoreCMDSUSPENDProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStore, command CMDSUSPEND
 *
 */

int edg_wll_LogCREAMStoreCMDSUSPENDProxy(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDSUSPEND", cmdid, "CMDSUSPEND", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDSUSPENDFile
 *
 * edg_wll_LogCREAMStoreCMDSUSPENDFile - simple wrapper around edg_wll_LogEventFile for event CREAMStore, command CMDSUSPEND
 *
 */

int edg_wll_LogCREAMStoreCMDSUSPENDFile(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDSUSPEND", cmdid, "CMDSUSPEND", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDRESUME
 *
 * edg_wll_LogCREAMStoreCMDRESUME - simple wrapper around edg_wll_LogEvent for event CREAMStore, command CMDRESUME
 *
 */

int edg_wll_LogCREAMStoreCMDRESUME(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDRESUME", cmdid, "CMDRESUME", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDRESUMEProxy
 *
 * edg_wll_LogCREAMStoreCMDRESUMEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStore, command CMDRESUME
 *
 */

int edg_wll_LogCREAMStoreCMDRESUMEProxy(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDRESUME", cmdid, "CMDRESUME", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreCMDRESUMEFile
 *
 * edg_wll_LogCREAMStoreCMDRESUMEFile - simple wrapper around edg_wll_LogEventFile for event CREAMStore, command CMDRESUME
 *
 */

int edg_wll_LogCREAMStoreCMDRESUMEFile(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "CMDRESUME", cmdid, "CMDRESUME", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreSTART
 *
 * edg_wll_LogCREAMStoreSTART - simple wrapper around edg_wll_LogEvent for event CREAMStore, result START
 *
 */

int edg_wll_LogCREAMStoreSTART(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "START", cmdid, "START", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreSTARTProxy
 *
 * edg_wll_LogCREAMStoreSTARTProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStore, result START
 *
 */

int edg_wll_LogCREAMStoreSTARTProxy(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "START", cmdid, "START", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreSTARTFile
 *
 * edg_wll_LogCREAMStoreSTARTFile - simple wrapper around edg_wll_LogEventFile for event CREAMStore, result START
 *
 */

int edg_wll_LogCREAMStoreSTARTFile(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "START", cmdid, "START", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreOK
 *
 * edg_wll_LogCREAMStoreOK - simple wrapper around edg_wll_LogEvent for event CREAMStore, result OK
 *
 */

int edg_wll_LogCREAMStoreOK(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "OK", cmdid, "OK", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreOKProxy
 *
 * edg_wll_LogCREAMStoreOKProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStore, result OK
 *
 */

int edg_wll_LogCREAMStoreOKProxy(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "OK", cmdid, "OK", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreOKFile
 *
 * edg_wll_LogCREAMStoreOKFile - simple wrapper around edg_wll_LogEventFile for event CREAMStore, result OK
 *
 */

int edg_wll_LogCREAMStoreOKFile(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "OK", cmdid, "OK", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreFAILED
 *
 * edg_wll_LogCREAMStoreFAILED - simple wrapper around edg_wll_LogEvent for event CREAMStore, result FAILED
 *
 */

int edg_wll_LogCREAMStoreFAILED(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "FAILED", cmdid, "FAILED", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreFAILEDProxy
 *
 * edg_wll_LogCREAMStoreFAILEDProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStore, result FAILED
 *
 */

int edg_wll_LogCREAMStoreFAILEDProxy(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "FAILED", cmdid, "FAILED", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStoreFAILEDFile
 *
 * edg_wll_LogCREAMStoreFAILEDFile - simple wrapper around edg_wll_LogEventFile for event CREAMStore, result FAILED
 *
 */

int edg_wll_LogCREAMStoreFAILEDFile(edg_wll_Context context, const char * cmdid, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTORE,EDG_WLL_FORMAT_CREAMSTORE, "FAILED", cmdid, "FAILED", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCall
 *
 * edg_wll_LogCREAMCall - simple wrapper around edg_wll_LogEvent for event CREAMCall
 *
 */

int edg_wll_LogCREAMCall(edg_wll_Context context, const char * command, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * result, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, command, s_callee, cmdid, destid, result, reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallProxy
 *
 * edg_wll_LogCREAMCallProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCall
 *
 */

int edg_wll_LogCREAMCallProxy(edg_wll_Context context, const char * command, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * result, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, command, s_callee, cmdid, destid, result, reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallFile
 *
 * edg_wll_LogCREAMCallFile - simple wrapper around edg_wll_LogEventFile for event CREAMCall
 *
 */

int edg_wll_LogCREAMCallFile(edg_wll_Context context, const char * command, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * result, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, command, s_callee, cmdid, destid, result, reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDSTART
 *
 * edg_wll_LogCREAMCallCMDSTART - simple wrapper around edg_wll_LogEvent for event CREAMCall, command CMDSTART
 *
 */

int edg_wll_LogCREAMCallCMDSTART(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDSTART", s_callee, cmdid, destid, "CMDSTART", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDSTARTProxy
 *
 * edg_wll_LogCREAMCallCMDSTARTProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCall, command CMDSTART
 *
 */

int edg_wll_LogCREAMCallCMDSTARTProxy(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDSTART", s_callee, cmdid, destid, "CMDSTART", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDSTARTFile
 *
 * edg_wll_LogCREAMCallCMDSTARTFile - simple wrapper around edg_wll_LogEventFile for event CREAMCall, command CMDSTART
 *
 */

int edg_wll_LogCREAMCallCMDSTARTFile(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDSTART", s_callee, cmdid, destid, "CMDSTART", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDCANCEL
 *
 * edg_wll_LogCREAMCallCMDCANCEL - simple wrapper around edg_wll_LogEvent for event CREAMCall, command CMDCANCEL
 *
 */

int edg_wll_LogCREAMCallCMDCANCEL(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDCANCEL", s_callee, cmdid, destid, "CMDCANCEL", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDCANCELProxy
 *
 * edg_wll_LogCREAMCallCMDCANCELProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCall, command CMDCANCEL
 *
 */

int edg_wll_LogCREAMCallCMDCANCELProxy(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDCANCEL", s_callee, cmdid, destid, "CMDCANCEL", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDCANCELFile
 *
 * edg_wll_LogCREAMCallCMDCANCELFile - simple wrapper around edg_wll_LogEventFile for event CREAMCall, command CMDCANCEL
 *
 */

int edg_wll_LogCREAMCallCMDCANCELFile(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDCANCEL", s_callee, cmdid, destid, "CMDCANCEL", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDPURGE
 *
 * edg_wll_LogCREAMCallCMDPURGE - simple wrapper around edg_wll_LogEvent for event CREAMCall, command CMDPURGE
 *
 */

int edg_wll_LogCREAMCallCMDPURGE(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDPURGE", s_callee, cmdid, destid, "CMDPURGE", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDPURGEProxy
 *
 * edg_wll_LogCREAMCallCMDPURGEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCall, command CMDPURGE
 *
 */

int edg_wll_LogCREAMCallCMDPURGEProxy(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDPURGE", s_callee, cmdid, destid, "CMDPURGE", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDPURGEFile
 *
 * edg_wll_LogCREAMCallCMDPURGEFile - simple wrapper around edg_wll_LogEventFile for event CREAMCall, command CMDPURGE
 *
 */

int edg_wll_LogCREAMCallCMDPURGEFile(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDPURGE", s_callee, cmdid, destid, "CMDPURGE", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDSUSPEND
 *
 * edg_wll_LogCREAMCallCMDSUSPEND - simple wrapper around edg_wll_LogEvent for event CREAMCall, command CMDSUSPEND
 *
 */

int edg_wll_LogCREAMCallCMDSUSPEND(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDSUSPEND", s_callee, cmdid, destid, "CMDSUSPEND", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDSUSPENDProxy
 *
 * edg_wll_LogCREAMCallCMDSUSPENDProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCall, command CMDSUSPEND
 *
 */

int edg_wll_LogCREAMCallCMDSUSPENDProxy(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDSUSPEND", s_callee, cmdid, destid, "CMDSUSPEND", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDSUSPENDFile
 *
 * edg_wll_LogCREAMCallCMDSUSPENDFile - simple wrapper around edg_wll_LogEventFile for event CREAMCall, command CMDSUSPEND
 *
 */

int edg_wll_LogCREAMCallCMDSUSPENDFile(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDSUSPEND", s_callee, cmdid, destid, "CMDSUSPEND", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDRESUME
 *
 * edg_wll_LogCREAMCallCMDRESUME - simple wrapper around edg_wll_LogEvent for event CREAMCall, command CMDRESUME
 *
 */

int edg_wll_LogCREAMCallCMDRESUME(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDRESUME", s_callee, cmdid, destid, "CMDRESUME", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDRESUMEProxy
 *
 * edg_wll_LogCREAMCallCMDRESUMEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCall, command CMDRESUME
 *
 */

int edg_wll_LogCREAMCallCMDRESUMEProxy(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDRESUME", s_callee, cmdid, destid, "CMDRESUME", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallCMDRESUMEFile
 *
 * edg_wll_LogCREAMCallCMDRESUMEFile - simple wrapper around edg_wll_LogEventFile for event CREAMCall, command CMDRESUME
 *
 */

int edg_wll_LogCREAMCallCMDRESUMEFile(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "CMDRESUME", s_callee, cmdid, destid, "CMDRESUME", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallSTART
 *
 * edg_wll_LogCREAMCallSTART - simple wrapper around edg_wll_LogEvent for event CREAMCall, result START
 *
 */

int edg_wll_LogCREAMCallSTART(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "START", s_callee, cmdid, destid, "START", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallSTARTProxy
 *
 * edg_wll_LogCREAMCallSTARTProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCall, result START
 *
 */

int edg_wll_LogCREAMCallSTARTProxy(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "START", s_callee, cmdid, destid, "START", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallSTARTFile
 *
 * edg_wll_LogCREAMCallSTARTFile - simple wrapper around edg_wll_LogEventFile for event CREAMCall, result START
 *
 */

int edg_wll_LogCREAMCallSTARTFile(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "START", s_callee, cmdid, destid, "START", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallOK
 *
 * edg_wll_LogCREAMCallOK - simple wrapper around edg_wll_LogEvent for event CREAMCall, result OK
 *
 */

int edg_wll_LogCREAMCallOK(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "OK", s_callee, cmdid, destid, "OK", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallOKProxy
 *
 * edg_wll_LogCREAMCallOKProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCall, result OK
 *
 */

int edg_wll_LogCREAMCallOKProxy(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "OK", s_callee, cmdid, destid, "OK", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallOKFile
 *
 * edg_wll_LogCREAMCallOKFile - simple wrapper around edg_wll_LogEventFile for event CREAMCall, result OK
 *
 */

int edg_wll_LogCREAMCallOKFile(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "OK", s_callee, cmdid, destid, "OK", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallFAILED
 *
 * edg_wll_LogCREAMCallFAILED - simple wrapper around edg_wll_LogEvent for event CREAMCall, result FAILED
 *
 */

int edg_wll_LogCREAMCallFAILED(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "FAILED", s_callee, cmdid, destid, "FAILED", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallFAILEDProxy
 *
 * edg_wll_LogCREAMCallFAILEDProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCall, result FAILED
 *
 */

int edg_wll_LogCREAMCallFAILEDProxy(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "FAILED", s_callee, cmdid, destid, "FAILED", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCallFAILEDFile
 *
 * edg_wll_LogCREAMCallFAILEDFile - simple wrapper around edg_wll_LogEventFile for event CREAMCall, result FAILED
 *
 */

int edg_wll_LogCREAMCallFAILEDFile(edg_wll_Context context, const edg_wll_Source callee, const char * cmdid, const char * destid, const char * reason)
{
	int ret;
	char *s_callee; s_callee = edg_wll_SourceToString(callee);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCALL,EDG_WLL_FORMAT_CREAMCALL, "FAILED", s_callee, cmdid, destid, "FAILED", reason);
	free(s_callee);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMRunning
 *
 * edg_wll_LogCREAMRunning - simple wrapper around edg_wll_LogEvent for event CREAMRunning
 *
 */

int edg_wll_LogCREAMRunning(edg_wll_Context context, const char * node)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMRUNNING,EDG_WLL_FORMAT_CREAMRUNNING, node);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMRunningProxy
 *
 * edg_wll_LogCREAMRunningProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMRunning
 *
 */

int edg_wll_LogCREAMRunningProxy(edg_wll_Context context, const char * node)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMRUNNING,EDG_WLL_FORMAT_CREAMRUNNING, node);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMRunningFile
 *
 * edg_wll_LogCREAMRunningFile - simple wrapper around edg_wll_LogEventFile for event CREAMRunning
 *
 */

int edg_wll_LogCREAMRunningFile(edg_wll_Context context, const char * node)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMRUNNING,EDG_WLL_FORMAT_CREAMRUNNING, node);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMReallyRunning
 *
 * edg_wll_LogCREAMReallyRunning - simple wrapper around edg_wll_LogEvent for event CREAMReallyRunning
 *
 */

int edg_wll_LogCREAMReallyRunning(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMREALLYRUNNING,EDG_WLL_FORMAT_CREAMREALLYRUNNING);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMReallyRunningProxy
 *
 * edg_wll_LogCREAMReallyRunningProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMReallyRunning
 *
 */

int edg_wll_LogCREAMReallyRunningProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMREALLYRUNNING,EDG_WLL_FORMAT_CREAMREALLYRUNNING);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMReallyRunningFile
 *
 * edg_wll_LogCREAMReallyRunningFile - simple wrapper around edg_wll_LogEventFile for event CREAMReallyRunning
 *
 */

int edg_wll_LogCREAMReallyRunningFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMREALLYRUNNING,EDG_WLL_FORMAT_CREAMREALLYRUNNING);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDone
 *
 * edg_wll_LogCREAMDone - simple wrapper around edg_wll_LogEvent for event CREAMDone
 *
 */

int edg_wll_LogCREAMDone(edg_wll_Context context, const char * status_code, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, status_code, reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneProxy
 *
 * edg_wll_LogCREAMDoneProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMDone
 *
 */

int edg_wll_LogCREAMDoneProxy(edg_wll_Context context, const char * status_code, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, status_code, reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneFile
 *
 * edg_wll_LogCREAMDoneFile - simple wrapper around edg_wll_LogEventFile for event CREAMDone
 *
 */

int edg_wll_LogCREAMDoneFile(edg_wll_Context context, const char * status_code, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, status_code, reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneOK
 *
 * edg_wll_LogCREAMDoneOK - simple wrapper around edg_wll_LogEvent for event CREAMDone, status_code OK
 *
 */

int edg_wll_LogCREAMDoneOK(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "OK", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneOKProxy
 *
 * edg_wll_LogCREAMDoneOKProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMDone, status_code OK
 *
 */

int edg_wll_LogCREAMDoneOKProxy(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "OK", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneOKFile
 *
 * edg_wll_LogCREAMDoneOKFile - simple wrapper around edg_wll_LogEventFile for event CREAMDone, status_code OK
 *
 */

int edg_wll_LogCREAMDoneOKFile(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "OK", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneFAILED
 *
 * edg_wll_LogCREAMDoneFAILED - simple wrapper around edg_wll_LogEvent for event CREAMDone, status_code FAILED
 *
 */

int edg_wll_LogCREAMDoneFAILED(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "FAILED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneFAILEDProxy
 *
 * edg_wll_LogCREAMDoneFAILEDProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMDone, status_code FAILED
 *
 */

int edg_wll_LogCREAMDoneFAILEDProxy(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "FAILED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneFAILEDFile
 *
 * edg_wll_LogCREAMDoneFAILEDFile - simple wrapper around edg_wll_LogEventFile for event CREAMDone, status_code FAILED
 *
 */

int edg_wll_LogCREAMDoneFAILEDFile(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "FAILED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneCANCELLED
 *
 * edg_wll_LogCREAMDoneCANCELLED - simple wrapper around edg_wll_LogEvent for event CREAMDone, status_code CANCELLED
 *
 */

int edg_wll_LogCREAMDoneCANCELLED(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "CANCELLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneCANCELLEDProxy
 *
 * edg_wll_LogCREAMDoneCANCELLEDProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMDone, status_code CANCELLED
 *
 */

int edg_wll_LogCREAMDoneCANCELLEDProxy(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "CANCELLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneCANCELLEDFile
 *
 * edg_wll_LogCREAMDoneCANCELLEDFile - simple wrapper around edg_wll_LogEventFile for event CREAMDone, status_code CANCELLED
 *
 */

int edg_wll_LogCREAMDoneCANCELLEDFile(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "CANCELLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneKILLED
 *
 * edg_wll_LogCREAMDoneKILLED - simple wrapper around edg_wll_LogEvent for event CREAMDone, status_code KILLED
 *
 */

int edg_wll_LogCREAMDoneKILLED(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "KILLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneKILLEDProxy
 *
 * edg_wll_LogCREAMDoneKILLEDProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMDone, status_code KILLED
 *
 */

int edg_wll_LogCREAMDoneKILLEDProxy(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "KILLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMDoneKILLEDFile
 *
 * edg_wll_LogCREAMDoneKILLEDFile - simple wrapper around edg_wll_LogEventFile for event CREAMDone, status_code KILLED
 *
 */

int edg_wll_LogCREAMDoneKILLEDFile(edg_wll_Context context, const char * reason, const char * exit_code)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMDONE,EDG_WLL_FORMAT_CREAMDONE, "KILLED", reason, exit_code);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancel
 *
 * edg_wll_LogCREAMCancel - simple wrapper around edg_wll_LogEvent for event CREAMCancel
 *
 */

int edg_wll_LogCREAMCancel(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelProxy
 *
 * edg_wll_LogCREAMCancelProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCancel
 *
 */

int edg_wll_LogCREAMCancelProxy(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelFile
 *
 * edg_wll_LogCREAMCancelFile - simple wrapper around edg_wll_LogEventFile for event CREAMCancel
 *
 */

int edg_wll_LogCREAMCancelFile(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelREQ
 *
 * edg_wll_LogCREAMCancelREQ - simple wrapper around edg_wll_LogEvent for event CREAMCancel, status_code REQ
 *
 */

int edg_wll_LogCREAMCancelREQ(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelREQProxy
 *
 * edg_wll_LogCREAMCancelREQProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCancel, status_code REQ
 *
 */

int edg_wll_LogCREAMCancelREQProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelREQFile
 *
 * edg_wll_LogCREAMCancelREQFile - simple wrapper around edg_wll_LogEventFile for event CREAMCancel, status_code REQ
 *
 */

int edg_wll_LogCREAMCancelREQFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelREFUSE
 *
 * edg_wll_LogCREAMCancelREFUSE - simple wrapper around edg_wll_LogEvent for event CREAMCancel, status_code REFUSE
 *
 */

int edg_wll_LogCREAMCancelREFUSE(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelREFUSEProxy
 *
 * edg_wll_LogCREAMCancelREFUSEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCancel, status_code REFUSE
 *
 */

int edg_wll_LogCREAMCancelREFUSEProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelREFUSEFile
 *
 * edg_wll_LogCREAMCancelREFUSEFile - simple wrapper around edg_wll_LogEventFile for event CREAMCancel, status_code REFUSE
 *
 */

int edg_wll_LogCREAMCancelREFUSEFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelDONE
 *
 * edg_wll_LogCREAMCancelDONE - simple wrapper around edg_wll_LogEvent for event CREAMCancel, status_code DONE
 *
 */

int edg_wll_LogCREAMCancelDONE(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelDONEProxy
 *
 * edg_wll_LogCREAMCancelDONEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCancel, status_code DONE
 *
 */

int edg_wll_LogCREAMCancelDONEProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelDONEFile
 *
 * edg_wll_LogCREAMCancelDONEFile - simple wrapper around edg_wll_LogEventFile for event CREAMCancel, status_code DONE
 *
 */

int edg_wll_LogCREAMCancelDONEFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelABORT
 *
 * edg_wll_LogCREAMCancelABORT - simple wrapper around edg_wll_LogEvent for event CREAMCancel, status_code ABORT
 *
 */

int edg_wll_LogCREAMCancelABORT(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelABORTProxy
 *
 * edg_wll_LogCREAMCancelABORTProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMCancel, status_code ABORT
 *
 */

int edg_wll_LogCREAMCancelABORTProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMCancelABORTFile
 *
 * edg_wll_LogCREAMCancelABORTFile - simple wrapper around edg_wll_LogEventFile for event CREAMCancel, status_code ABORT
 *
 */

int edg_wll_LogCREAMCancelABORTFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMCANCEL,EDG_WLL_FORMAT_CREAMCANCEL, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMAbort
 *
 * edg_wll_LogCREAMAbort - simple wrapper around edg_wll_LogEvent for event CREAMAbort
 *
 */

int edg_wll_LogCREAMAbort(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMABORT,EDG_WLL_FORMAT_CREAMABORT, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMAbortProxy
 *
 * edg_wll_LogCREAMAbortProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMAbort
 *
 */

int edg_wll_LogCREAMAbortProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMABORT,EDG_WLL_FORMAT_CREAMABORT, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMAbortFile
 *
 * edg_wll_LogCREAMAbortFile - simple wrapper around edg_wll_LogEventFile for event CREAMAbort
 *
 */

int edg_wll_LogCREAMAbortFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMABORT,EDG_WLL_FORMAT_CREAMABORT, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStatus
 *
 * edg_wll_LogCREAMStatus - simple wrapper around edg_wll_LogEvent for event CREAMStatus
 *
 */

int edg_wll_LogCREAMStatus(edg_wll_Context context, const char * old_state, const char * new_state, const struct timeval orig_timestamp, const char * result, const char * descr, const char * exit_code, const char * failure_reason, const char * worker_node, const char * LRMS_jobid)
{
	int ret;
	char s_orig_timestamp[ULM_DATE_STRING_LENGTH + 1]; edg_wll_ULMTimevalToDate((orig_timestamp).tv_sec,(orig_timestamp).tv_usec,s_orig_timestamp);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTATUS,EDG_WLL_FORMAT_CREAMSTATUS, old_state, new_state, s_orig_timestamp, result, descr, exit_code, failure_reason, worker_node, LRMS_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStatusProxy
 *
 * edg_wll_LogCREAMStatusProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStatus
 *
 */

int edg_wll_LogCREAMStatusProxy(edg_wll_Context context, const char * old_state, const char * new_state, const struct timeval orig_timestamp, const char * result, const char * descr, const char * exit_code, const char * failure_reason, const char * worker_node, const char * LRMS_jobid)
{
	int ret;
	char s_orig_timestamp[ULM_DATE_STRING_LENGTH + 1]; edg_wll_ULMTimevalToDate((orig_timestamp).tv_sec,(orig_timestamp).tv_usec,s_orig_timestamp);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTATUS,EDG_WLL_FORMAT_CREAMSTATUS, old_state, new_state, s_orig_timestamp, result, descr, exit_code, failure_reason, worker_node, LRMS_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStatusFile
 *
 * edg_wll_LogCREAMStatusFile - simple wrapper around edg_wll_LogEventFile for event CREAMStatus
 *
 */

int edg_wll_LogCREAMStatusFile(edg_wll_Context context, const char * old_state, const char * new_state, const struct timeval orig_timestamp, const char * result, const char * descr, const char * exit_code, const char * failure_reason, const char * worker_node, const char * LRMS_jobid)
{
	int ret;
	char s_orig_timestamp[ULM_DATE_STRING_LENGTH + 1]; edg_wll_ULMTimevalToDate((orig_timestamp).tv_sec,(orig_timestamp).tv_usec,s_orig_timestamp);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTATUS,EDG_WLL_FORMAT_CREAMSTATUS, old_state, new_state, s_orig_timestamp, result, descr, exit_code, failure_reason, worker_node, LRMS_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStatusARRIVED
 *
 * edg_wll_LogCREAMStatusARRIVED - simple wrapper around edg_wll_LogEvent for event CREAMStatus, result ARRIVED
 *
 */

int edg_wll_LogCREAMStatusARRIVED(edg_wll_Context context, const char * old_state, const char * new_state, const struct timeval orig_timestamp, const char * descr, const char * exit_code, const char * failure_reason, const char * worker_node, const char * LRMS_jobid)
{
	int ret;
	char s_orig_timestamp[ULM_DATE_STRING_LENGTH + 1]; edg_wll_ULMTimevalToDate((orig_timestamp).tv_sec,(orig_timestamp).tv_usec,s_orig_timestamp);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTATUS,EDG_WLL_FORMAT_CREAMSTATUS, old_state, new_state, s_orig_timestamp, "ARRIVED", descr, exit_code, failure_reason, worker_node, LRMS_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStatusARRIVEDProxy
 *
 * edg_wll_LogCREAMStatusARRIVEDProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStatus, result ARRIVED
 *
 */

int edg_wll_LogCREAMStatusARRIVEDProxy(edg_wll_Context context, const char * old_state, const char * new_state, const struct timeval orig_timestamp, const char * descr, const char * exit_code, const char * failure_reason, const char * worker_node, const char * LRMS_jobid)
{
	int ret;
	char s_orig_timestamp[ULM_DATE_STRING_LENGTH + 1]; edg_wll_ULMTimevalToDate((orig_timestamp).tv_sec,(orig_timestamp).tv_usec,s_orig_timestamp);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTATUS,EDG_WLL_FORMAT_CREAMSTATUS, old_state, new_state, s_orig_timestamp, "ARRIVED", descr, exit_code, failure_reason, worker_node, LRMS_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStatusARRIVEDFile
 *
 * edg_wll_LogCREAMStatusARRIVEDFile - simple wrapper around edg_wll_LogEventFile for event CREAMStatus, result ARRIVED
 *
 */

int edg_wll_LogCREAMStatusARRIVEDFile(edg_wll_Context context, const char * old_state, const char * new_state, const struct timeval orig_timestamp, const char * descr, const char * exit_code, const char * failure_reason, const char * worker_node, const char * LRMS_jobid)
{
	int ret;
	char s_orig_timestamp[ULM_DATE_STRING_LENGTH + 1]; edg_wll_ULMTimevalToDate((orig_timestamp).tv_sec,(orig_timestamp).tv_usec,s_orig_timestamp);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTATUS,EDG_WLL_FORMAT_CREAMSTATUS, old_state, new_state, s_orig_timestamp, "ARRIVED", descr, exit_code, failure_reason, worker_node, LRMS_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStatusDONE
 *
 * edg_wll_LogCREAMStatusDONE - simple wrapper around edg_wll_LogEvent for event CREAMStatus, result DONE
 *
 */

int edg_wll_LogCREAMStatusDONE(edg_wll_Context context, const char * old_state, const char * new_state, const struct timeval orig_timestamp, const char * descr, const char * exit_code, const char * failure_reason, const char * worker_node, const char * LRMS_jobid)
{
	int ret;
	char s_orig_timestamp[ULM_DATE_STRING_LENGTH + 1]; edg_wll_ULMTimevalToDate((orig_timestamp).tv_sec,(orig_timestamp).tv_usec,s_orig_timestamp);

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSTATUS,EDG_WLL_FORMAT_CREAMSTATUS, old_state, new_state, s_orig_timestamp, "DONE", descr, exit_code, failure_reason, worker_node, LRMS_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStatusDONEProxy
 *
 * edg_wll_LogCREAMStatusDONEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMStatus, result DONE
 *
 */

int edg_wll_LogCREAMStatusDONEProxy(edg_wll_Context context, const char * old_state, const char * new_state, const struct timeval orig_timestamp, const char * descr, const char * exit_code, const char * failure_reason, const char * worker_node, const char * LRMS_jobid)
{
	int ret;
	char s_orig_timestamp[ULM_DATE_STRING_LENGTH + 1]; edg_wll_ULMTimevalToDate((orig_timestamp).tv_sec,(orig_timestamp).tv_usec,s_orig_timestamp);

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSTATUS,EDG_WLL_FORMAT_CREAMSTATUS, old_state, new_state, s_orig_timestamp, "DONE", descr, exit_code, failure_reason, worker_node, LRMS_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMStatusDONEFile
 *
 * edg_wll_LogCREAMStatusDONEFile - simple wrapper around edg_wll_LogEventFile for event CREAMStatus, result DONE
 *
 */

int edg_wll_LogCREAMStatusDONEFile(edg_wll_Context context, const char * old_state, const char * new_state, const struct timeval orig_timestamp, const char * descr, const char * exit_code, const char * failure_reason, const char * worker_node, const char * LRMS_jobid)
{
	int ret;
	char s_orig_timestamp[ULM_DATE_STRING_LENGTH + 1]; edg_wll_ULMTimevalToDate((orig_timestamp).tv_sec,(orig_timestamp).tv_usec,s_orig_timestamp);

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSTATUS,EDG_WLL_FORMAT_CREAMSTATUS, old_state, new_state, s_orig_timestamp, "DONE", descr, exit_code, failure_reason, worker_node, LRMS_jobid);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspend
 *
 * edg_wll_LogCREAMSuspend - simple wrapper around edg_wll_LogEvent for event CREAMSuspend
 *
 */

int edg_wll_LogCREAMSuspend(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendProxy
 *
 * edg_wll_LogCREAMSuspendProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMSuspend
 *
 */

int edg_wll_LogCREAMSuspendProxy(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendFile
 *
 * edg_wll_LogCREAMSuspendFile - simple wrapper around edg_wll_LogEventFile for event CREAMSuspend
 *
 */

int edg_wll_LogCREAMSuspendFile(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendREQ
 *
 * edg_wll_LogCREAMSuspendREQ - simple wrapper around edg_wll_LogEvent for event CREAMSuspend, status_code REQ
 *
 */

int edg_wll_LogCREAMSuspendREQ(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendREQProxy
 *
 * edg_wll_LogCREAMSuspendREQProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMSuspend, status_code REQ
 *
 */

int edg_wll_LogCREAMSuspendREQProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendREQFile
 *
 * edg_wll_LogCREAMSuspendREQFile - simple wrapper around edg_wll_LogEventFile for event CREAMSuspend, status_code REQ
 *
 */

int edg_wll_LogCREAMSuspendREQFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendREFUSE
 *
 * edg_wll_LogCREAMSuspendREFUSE - simple wrapper around edg_wll_LogEvent for event CREAMSuspend, status_code REFUSE
 *
 */

int edg_wll_LogCREAMSuspendREFUSE(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendREFUSEProxy
 *
 * edg_wll_LogCREAMSuspendREFUSEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMSuspend, status_code REFUSE
 *
 */

int edg_wll_LogCREAMSuspendREFUSEProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendREFUSEFile
 *
 * edg_wll_LogCREAMSuspendREFUSEFile - simple wrapper around edg_wll_LogEventFile for event CREAMSuspend, status_code REFUSE
 *
 */

int edg_wll_LogCREAMSuspendREFUSEFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendDONE
 *
 * edg_wll_LogCREAMSuspendDONE - simple wrapper around edg_wll_LogEvent for event CREAMSuspend, status_code DONE
 *
 */

int edg_wll_LogCREAMSuspendDONE(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendDONEProxy
 *
 * edg_wll_LogCREAMSuspendDONEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMSuspend, status_code DONE
 *
 */

int edg_wll_LogCREAMSuspendDONEProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendDONEFile
 *
 * edg_wll_LogCREAMSuspendDONEFile - simple wrapper around edg_wll_LogEventFile for event CREAMSuspend, status_code DONE
 *
 */

int edg_wll_LogCREAMSuspendDONEFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendABORT
 *
 * edg_wll_LogCREAMSuspendABORT - simple wrapper around edg_wll_LogEvent for event CREAMSuspend, status_code ABORT
 *
 */

int edg_wll_LogCREAMSuspendABORT(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendABORTProxy
 *
 * edg_wll_LogCREAMSuspendABORTProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMSuspend, status_code ABORT
 *
 */

int edg_wll_LogCREAMSuspendABORTProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMSuspendABORTFile
 *
 * edg_wll_LogCREAMSuspendABORTFile - simple wrapper around edg_wll_LogEventFile for event CREAMSuspend, status_code ABORT
 *
 */

int edg_wll_LogCREAMSuspendABORTFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMSUSPEND,EDG_WLL_FORMAT_CREAMSUSPEND, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResume
 *
 * edg_wll_LogCREAMResume - simple wrapper around edg_wll_LogEvent for event CREAMResume
 *
 */

int edg_wll_LogCREAMResume(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeProxy
 *
 * edg_wll_LogCREAMResumeProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMResume
 *
 */

int edg_wll_LogCREAMResumeProxy(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeFile
 *
 * edg_wll_LogCREAMResumeFile - simple wrapper around edg_wll_LogEventFile for event CREAMResume
 *
 */

int edg_wll_LogCREAMResumeFile(edg_wll_Context context, const char * status_code, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, status_code, reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeREQ
 *
 * edg_wll_LogCREAMResumeREQ - simple wrapper around edg_wll_LogEvent for event CREAMResume, status_code REQ
 *
 */

int edg_wll_LogCREAMResumeREQ(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeREQProxy
 *
 * edg_wll_LogCREAMResumeREQProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMResume, status_code REQ
 *
 */

int edg_wll_LogCREAMResumeREQProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeREQFile
 *
 * edg_wll_LogCREAMResumeREQFile - simple wrapper around edg_wll_LogEventFile for event CREAMResume, status_code REQ
 *
 */

int edg_wll_LogCREAMResumeREQFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "REQ", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeREFUSE
 *
 * edg_wll_LogCREAMResumeREFUSE - simple wrapper around edg_wll_LogEvent for event CREAMResume, status_code REFUSE
 *
 */

int edg_wll_LogCREAMResumeREFUSE(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeREFUSEProxy
 *
 * edg_wll_LogCREAMResumeREFUSEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMResume, status_code REFUSE
 *
 */

int edg_wll_LogCREAMResumeREFUSEProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeREFUSEFile
 *
 * edg_wll_LogCREAMResumeREFUSEFile - simple wrapper around edg_wll_LogEventFile for event CREAMResume, status_code REFUSE
 *
 */

int edg_wll_LogCREAMResumeREFUSEFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "REFUSE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeDONE
 *
 * edg_wll_LogCREAMResumeDONE - simple wrapper around edg_wll_LogEvent for event CREAMResume, status_code DONE
 *
 */

int edg_wll_LogCREAMResumeDONE(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeDONEProxy
 *
 * edg_wll_LogCREAMResumeDONEProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMResume, status_code DONE
 *
 */

int edg_wll_LogCREAMResumeDONEProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeDONEFile
 *
 * edg_wll_LogCREAMResumeDONEFile - simple wrapper around edg_wll_LogEventFile for event CREAMResume, status_code DONE
 *
 */

int edg_wll_LogCREAMResumeDONEFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "DONE", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeABORT
 *
 * edg_wll_LogCREAMResumeABORT - simple wrapper around edg_wll_LogEvent for event CREAMResume, status_code ABORT
 *
 */

int edg_wll_LogCREAMResumeABORT(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeABORTProxy
 *
 * edg_wll_LogCREAMResumeABORTProxy - simple wrapper around edg_wll_LogEventProxy for event CREAMResume, status_code ABORT
 *
 */

int edg_wll_LogCREAMResumeABORTProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogCREAMResumeABORTFile
 *
 * edg_wll_LogCREAMResumeABORTFile - simple wrapper around edg_wll_LogEventFile for event CREAMResume, status_code ABORT
 *
 */

int edg_wll_LogCREAMResumeABORTFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_CREAMRESUME,EDG_WLL_FORMAT_CREAMRESUME, "ABORT", reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferRegister
 *
 * edg_wll_LogFileTransferRegister - simple wrapper around edg_wll_LogEvent for event FileTransferRegister
 *
 */

int edg_wll_LogFileTransferRegister(edg_wll_Context context, const char * src, const char * dest)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_FILETRANSFERREGISTER,EDG_WLL_FORMAT_FILETRANSFERREGISTER, src, dest);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferRegisterProxy
 *
 * edg_wll_LogFileTransferRegisterProxy - simple wrapper around edg_wll_LogEventProxy for event FileTransferRegister
 *
 */

int edg_wll_LogFileTransferRegisterProxy(edg_wll_Context context, const char * src, const char * dest)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_FILETRANSFERREGISTER,EDG_WLL_FORMAT_FILETRANSFERREGISTER, src, dest);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferRegisterFile
 *
 * edg_wll_LogFileTransferRegisterFile - simple wrapper around edg_wll_LogEventFile for event FileTransferRegister
 *
 */

int edg_wll_LogFileTransferRegisterFile(edg_wll_Context context, const char * src, const char * dest)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_FILETRANSFERREGISTER,EDG_WLL_FORMAT_FILETRANSFERREGISTER, src, dest);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransfer
 *
 * edg_wll_LogFileTransfer - simple wrapper around edg_wll_LogEvent for event FileTransfer
 *
 */

int edg_wll_LogFileTransfer(edg_wll_Context context, const char * result, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, result, reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferProxy
 *
 * edg_wll_LogFileTransferProxy - simple wrapper around edg_wll_LogEventProxy for event FileTransfer
 *
 */

int edg_wll_LogFileTransferProxy(edg_wll_Context context, const char * result, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, result, reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferFile
 *
 * edg_wll_LogFileTransferFile - simple wrapper around edg_wll_LogEventFile for event FileTransfer
 *
 */

int edg_wll_LogFileTransferFile(edg_wll_Context context, const char * result, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, result, reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferSTART
 *
 * edg_wll_LogFileTransferSTART - simple wrapper around edg_wll_LogEvent for event FileTransfer, result START
 *
 */

int edg_wll_LogFileTransferSTART(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, "START", reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferSTARTProxy
 *
 * edg_wll_LogFileTransferSTARTProxy - simple wrapper around edg_wll_LogEventProxy for event FileTransfer, result START
 *
 */

int edg_wll_LogFileTransferSTARTProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, "START", reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferSTARTFile
 *
 * edg_wll_LogFileTransferSTARTFile - simple wrapper around edg_wll_LogEventFile for event FileTransfer, result START
 *
 */

int edg_wll_LogFileTransferSTARTFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, "START", reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferOK
 *
 * edg_wll_LogFileTransferOK - simple wrapper around edg_wll_LogEvent for event FileTransfer, result OK
 *
 */

int edg_wll_LogFileTransferOK(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, "OK", reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferOKProxy
 *
 * edg_wll_LogFileTransferOKProxy - simple wrapper around edg_wll_LogEventProxy for event FileTransfer, result OK
 *
 */

int edg_wll_LogFileTransferOKProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, "OK", reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferOKFile
 *
 * edg_wll_LogFileTransferOKFile - simple wrapper around edg_wll_LogEventFile for event FileTransfer, result OK
 *
 */

int edg_wll_LogFileTransferOKFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, "OK", reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferFAIL
 *
 * edg_wll_LogFileTransferFAIL - simple wrapper around edg_wll_LogEvent for event FileTransfer, result FAIL
 *
 */

int edg_wll_LogFileTransferFAIL(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, "FAIL", reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferFAILProxy
 *
 * edg_wll_LogFileTransferFAILProxy - simple wrapper around edg_wll_LogEventProxy for event FileTransfer, result FAIL
 *
 */

int edg_wll_LogFileTransferFAILProxy(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, "FAIL", reason);

	return ret;
}

/**
 * \brief edg_wll_LogFileTransferFAILFile
 *
 * edg_wll_LogFileTransferFAILFile - simple wrapper around edg_wll_LogEventFile for event FileTransfer, result FAIL
 *
 */

int edg_wll_LogFileTransferFAILFile(edg_wll_Context context, const char * reason)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_FILETRANSFER,EDG_WLL_FORMAT_FILETRANSFER, "FAIL", reason);

	return ret;
}

/**
 * \brief edg_wll_LogSandbox
 *
 * edg_wll_LogSandbox - simple wrapper around edg_wll_LogEvent for event Sandbox
 *
 */

int edg_wll_LogSandbox(edg_wll_Context context, const char * sandbox_type, const char * transfer_job, const char * compute_job)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_SANDBOX,EDG_WLL_FORMAT_SANDBOX, sandbox_type, transfer_job, compute_job);

	return ret;
}

/**
 * \brief edg_wll_LogSandboxProxy
 *
 * edg_wll_LogSandboxProxy - simple wrapper around edg_wll_LogEventProxy for event Sandbox
 *
 */

int edg_wll_LogSandboxProxy(edg_wll_Context context, const char * sandbox_type, const char * transfer_job, const char * compute_job)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_SANDBOX,EDG_WLL_FORMAT_SANDBOX, sandbox_type, transfer_job, compute_job);

	return ret;
}

/**
 * \brief edg_wll_LogSandboxFile
 *
 * edg_wll_LogSandboxFile - simple wrapper around edg_wll_LogEventFile for event Sandbox
 *
 */

int edg_wll_LogSandboxFile(edg_wll_Context context, const char * sandbox_type, const char * transfer_job, const char * compute_job)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_SANDBOX,EDG_WLL_FORMAT_SANDBOX, sandbox_type, transfer_job, compute_job);

	return ret;
}

/**
 * \brief edg_wll_LogSandboxINPUT
 *
 * edg_wll_LogSandboxINPUT - simple wrapper around edg_wll_LogEvent for event Sandbox, sandbox_type INPUT
 *
 */

int edg_wll_LogSandboxINPUT(edg_wll_Context context, const char * transfer_job, const char * compute_job)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_SANDBOX,EDG_WLL_FORMAT_SANDBOX, "INPUT", transfer_job, compute_job);

	return ret;
}

/**
 * \brief edg_wll_LogSandboxINPUTProxy
 *
 * edg_wll_LogSandboxINPUTProxy - simple wrapper around edg_wll_LogEventProxy for event Sandbox, sandbox_type INPUT
 *
 */

int edg_wll_LogSandboxINPUTProxy(edg_wll_Context context, const char * transfer_job, const char * compute_job)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_SANDBOX,EDG_WLL_FORMAT_SANDBOX, "INPUT", transfer_job, compute_job);

	return ret;
}

/**
 * \brief edg_wll_LogSandboxINPUTFile
 *
 * edg_wll_LogSandboxINPUTFile - simple wrapper around edg_wll_LogEventFile for event Sandbox, sandbox_type INPUT
 *
 */

int edg_wll_LogSandboxINPUTFile(edg_wll_Context context, const char * transfer_job, const char * compute_job)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_SANDBOX,EDG_WLL_FORMAT_SANDBOX, "INPUT", transfer_job, compute_job);

	return ret;
}

/**
 * \brief edg_wll_LogSandboxOUTPUT
 *
 * edg_wll_LogSandboxOUTPUT - simple wrapper around edg_wll_LogEvent for event Sandbox, sandbox_type OUTPUT
 *
 */

int edg_wll_LogSandboxOUTPUT(edg_wll_Context context, const char * transfer_job, const char * compute_job)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_SANDBOX,EDG_WLL_FORMAT_SANDBOX, "OUTPUT", transfer_job, compute_job);

	return ret;
}

/**
 * \brief edg_wll_LogSandboxOUTPUTProxy
 *
 * edg_wll_LogSandboxOUTPUTProxy - simple wrapper around edg_wll_LogEventProxy for event Sandbox, sandbox_type OUTPUT
 *
 */

int edg_wll_LogSandboxOUTPUTProxy(edg_wll_Context context, const char * transfer_job, const char * compute_job)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_SANDBOX,EDG_WLL_FORMAT_SANDBOX, "OUTPUT", transfer_job, compute_job);

	return ret;
}

/**
 * \brief edg_wll_LogSandboxOUTPUTFile
 *
 * edg_wll_LogSandboxOUTPUTFile - simple wrapper around edg_wll_LogEventFile for event Sandbox, sandbox_type OUTPUT
 *
 */

int edg_wll_LogSandboxOUTPUTFile(edg_wll_Context context, const char * transfer_job, const char * compute_job)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_SANDBOX,EDG_WLL_FORMAT_SANDBOX, "OUTPUT", transfer_job, compute_job);

	return ret;
}

/**
 * \brief edg_wll_LogVMCreate
 *
 * edg_wll_LogVMCreate - simple wrapper around edg_wll_LogEvent for event VMCreate
 *
 */

int edg_wll_LogVMCreate(edg_wll_Context context, const char * require, const char * id, const char * name, const char * owner, const char * hostname, const char * manager, const char * image)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMCREATE,EDG_WLL_FORMAT_VMCREATE, require, id, name, owner, hostname, manager, image);

	return ret;
}

/**
 * \brief edg_wll_LogVMCreateProxy
 *
 * edg_wll_LogVMCreateProxy - simple wrapper around edg_wll_LogEventProxy for event VMCreate
 *
 */

int edg_wll_LogVMCreateProxy(edg_wll_Context context, const char * require, const char * id, const char * name, const char * owner, const char * hostname, const char * manager, const char * image)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMCREATE,EDG_WLL_FORMAT_VMCREATE, require, id, name, owner, hostname, manager, image);

	return ret;
}

/**
 * \brief edg_wll_LogVMCreateFile
 *
 * edg_wll_LogVMCreateFile - simple wrapper around edg_wll_LogEventFile for event VMCreate
 *
 */

int edg_wll_LogVMCreateFile(edg_wll_Context context, const char * require, const char * id, const char * name, const char * owner, const char * hostname, const char * manager, const char * image)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMCREATE,EDG_WLL_FORMAT_VMCREATE, require, id, name, owner, hostname, manager, image);

	return ret;
}

/**
 * \brief edg_wll_LogVMHost
 *
 * edg_wll_LogVMHost - simple wrapper around edg_wll_LogEvent for event VMHost
 *
 */

int edg_wll_LogVMHost(edg_wll_Context context, const char * hostname)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMHOST,EDG_WLL_FORMAT_VMHOST, hostname);

	return ret;
}

/**
 * \brief edg_wll_LogVMHostProxy
 *
 * edg_wll_LogVMHostProxy - simple wrapper around edg_wll_LogEventProxy for event VMHost
 *
 */

int edg_wll_LogVMHostProxy(edg_wll_Context context, const char * hostname)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMHOST,EDG_WLL_FORMAT_VMHOST, hostname);

	return ret;
}

/**
 * \brief edg_wll_LogVMHostFile
 *
 * edg_wll_LogVMHostFile - simple wrapper around edg_wll_LogEventFile for event VMHost
 *
 */

int edg_wll_LogVMHostFile(edg_wll_Context context, const char * hostname)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMHOST,EDG_WLL_FORMAT_VMHOST, hostname);

	return ret;
}

/**
 * \brief edg_wll_LogVMImage
 *
 * edg_wll_LogVMImage - simple wrapper around edg_wll_LogEvent for event VMImage
 *
 */

int edg_wll_LogVMImage(edg_wll_Context context, const char * image)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMIMAGE,EDG_WLL_FORMAT_VMIMAGE, image);

	return ret;
}

/**
 * \brief edg_wll_LogVMImageProxy
 *
 * edg_wll_LogVMImageProxy - simple wrapper around edg_wll_LogEventProxy for event VMImage
 *
 */

int edg_wll_LogVMImageProxy(edg_wll_Context context, const char * image)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMIMAGE,EDG_WLL_FORMAT_VMIMAGE, image);

	return ret;
}

/**
 * \brief edg_wll_LogVMImageFile
 *
 * edg_wll_LogVMImageFile - simple wrapper around edg_wll_LogEventFile for event VMImage
 *
 */

int edg_wll_LogVMImageFile(edg_wll_Context context, const char * image)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMIMAGE,EDG_WLL_FORMAT_VMIMAGE, image);

	return ret;
}

/**
 * \brief edg_wll_LogVMRunning
 *
 * edg_wll_LogVMRunning - simple wrapper around edg_wll_LogEvent for event VMRunning
 *
 */

int edg_wll_LogVMRunning(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMRUNNING,EDG_WLL_FORMAT_VMRUNNING);

	return ret;
}

/**
 * \brief edg_wll_LogVMRunningProxy
 *
 * edg_wll_LogVMRunningProxy - simple wrapper around edg_wll_LogEventProxy for event VMRunning
 *
 */

int edg_wll_LogVMRunningProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMRUNNING,EDG_WLL_FORMAT_VMRUNNING);

	return ret;
}

/**
 * \brief edg_wll_LogVMRunningFile
 *
 * edg_wll_LogVMRunningFile - simple wrapper around edg_wll_LogEventFile for event VMRunning
 *
 */

int edg_wll_LogVMRunningFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMRUNNING,EDG_WLL_FORMAT_VMRUNNING);

	return ret;
}

/**
 * \brief edg_wll_LogVMShutdown
 *
 * edg_wll_LogVMShutdown - simple wrapper around edg_wll_LogEvent for event VMShutdown
 *
 */

int edg_wll_LogVMShutdown(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMSHUTDOWN,EDG_WLL_FORMAT_VMSHUTDOWN, usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMShutdownProxy
 *
 * edg_wll_LogVMShutdownProxy - simple wrapper around edg_wll_LogEventProxy for event VMShutdown
 *
 */

int edg_wll_LogVMShutdownProxy(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMSHUTDOWN,EDG_WLL_FORMAT_VMSHUTDOWN, usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMShutdownFile
 *
 * edg_wll_LogVMShutdownFile - simple wrapper around edg_wll_LogEventFile for event VMShutdown
 *
 */

int edg_wll_LogVMShutdownFile(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMSHUTDOWN,EDG_WLL_FORMAT_VMSHUTDOWN, usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMStop
 *
 * edg_wll_LogVMStop - simple wrapper around edg_wll_LogEvent for event VMStop
 *
 */

int edg_wll_LogVMStop(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMSTOP,EDG_WLL_FORMAT_VMSTOP);

	return ret;
}

/**
 * \brief edg_wll_LogVMStopProxy
 *
 * edg_wll_LogVMStopProxy - simple wrapper around edg_wll_LogEventProxy for event VMStop
 *
 */

int edg_wll_LogVMStopProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMSTOP,EDG_WLL_FORMAT_VMSTOP);

	return ret;
}

/**
 * \brief edg_wll_LogVMStopFile
 *
 * edg_wll_LogVMStopFile - simple wrapper around edg_wll_LogEventFile for event VMStop
 *
 */

int edg_wll_LogVMStopFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMSTOP,EDG_WLL_FORMAT_VMSTOP);

	return ret;
}

/**
 * \brief edg_wll_LogVMResume
 *
 * edg_wll_LogVMResume - simple wrapper around edg_wll_LogEvent for event VMResume
 *
 */

int edg_wll_LogVMResume(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMRESUME,EDG_WLL_FORMAT_VMRESUME);

	return ret;
}

/**
 * \brief edg_wll_LogVMResumeProxy
 *
 * edg_wll_LogVMResumeProxy - simple wrapper around edg_wll_LogEventProxy for event VMResume
 *
 */

int edg_wll_LogVMResumeProxy(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMRESUME,EDG_WLL_FORMAT_VMRESUME);

	return ret;
}

/**
 * \brief edg_wll_LogVMResumeFile
 *
 * edg_wll_LogVMResumeFile - simple wrapper around edg_wll_LogEventFile for event VMResume
 *
 */

int edg_wll_LogVMResumeFile(edg_wll_Context context)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMRESUME,EDG_WLL_FORMAT_VMRESUME);

	return ret;
}

/**
 * \brief edg_wll_LogVMDone
 *
 * edg_wll_LogVMDone - simple wrapper around edg_wll_LogEvent for event VMDone
 *
 */

int edg_wll_LogVMDone(edg_wll_Context context, const char * status_code, const char * usage)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, status_code, usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneProxy
 *
 * edg_wll_LogVMDoneProxy - simple wrapper around edg_wll_LogEventProxy for event VMDone
 *
 */

int edg_wll_LogVMDoneProxy(edg_wll_Context context, const char * status_code, const char * usage)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, status_code, usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneFile
 *
 * edg_wll_LogVMDoneFile - simple wrapper around edg_wll_LogEventFile for event VMDone
 *
 */

int edg_wll_LogVMDoneFile(edg_wll_Context context, const char * status_code, const char * usage)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, status_code, usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneOK
 *
 * edg_wll_LogVMDoneOK - simple wrapper around edg_wll_LogEvent for event VMDone, status_code OK
 *
 */

int edg_wll_LogVMDoneOK(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, "OK", usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneOKProxy
 *
 * edg_wll_LogVMDoneOKProxy - simple wrapper around edg_wll_LogEventProxy for event VMDone, status_code OK
 *
 */

int edg_wll_LogVMDoneOKProxy(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, "OK", usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneOKFile
 *
 * edg_wll_LogVMDoneOKFile - simple wrapper around edg_wll_LogEventFile for event VMDone, status_code OK
 *
 */

int edg_wll_LogVMDoneOKFile(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, "OK", usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneDELETE
 *
 * edg_wll_LogVMDoneDELETE - simple wrapper around edg_wll_LogEvent for event VMDone, status_code DELETE
 *
 */

int edg_wll_LogVMDoneDELETE(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, "DELETE", usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneDELETEProxy
 *
 * edg_wll_LogVMDoneDELETEProxy - simple wrapper around edg_wll_LogEventProxy for event VMDone, status_code DELETE
 *
 */

int edg_wll_LogVMDoneDELETEProxy(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, "DELETE", usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneDELETEFile
 *
 * edg_wll_LogVMDoneDELETEFile - simple wrapper around edg_wll_LogEventFile for event VMDone, status_code DELETE
 *
 */

int edg_wll_LogVMDoneDELETEFile(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, "DELETE", usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneFAILURE
 *
 * edg_wll_LogVMDoneFAILURE - simple wrapper around edg_wll_LogEvent for event VMDone, status_code FAILURE
 *
 */

int edg_wll_LogVMDoneFAILURE(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEvent(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, "FAILURE", usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneFAILUREProxy
 *
 * edg_wll_LogVMDoneFAILUREProxy - simple wrapper around edg_wll_LogEventProxy for event VMDone, status_code FAILURE
 *
 */

int edg_wll_LogVMDoneFAILUREProxy(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEventProxy(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, "FAILURE", usage);

	return ret;
}

/**
 * \brief edg_wll_LogVMDoneFAILUREFile
 *
 * edg_wll_LogVMDoneFAILUREFile - simple wrapper around edg_wll_LogEventFile for event VMDone, status_code FAILURE
 *
 */

int edg_wll_LogVMDoneFAILUREFile(edg_wll_Context context, const char * usage)
{
	int ret;

	ret = edg_wll_LogEventFile(context,EDG_WLL_EVENT_VMDONE,EDG_WLL_FORMAT_VMDONE, "FAILURE", usage);

	return ret;
}
